"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const controllers_1 = __importDefault(require("../../controllers"));
class GetByIdController extends controllers_1.default {
    constructor(useCase, name) {
        super();
        this.useCase = useCase;
        this.name = name;
    }
    handler(httpRequest) {
        return __awaiter(this, void 0, void 0, function* () {
            const response = yield this.useCase.exec(httpRequest.params.id, httpRequest.userInfo);
            if (response.notFound) {
                return {
                    statusCode: this.notFound(),
                    message: `${this.name} is not found. Try to check again`,
                };
            }
            return {
                statusCode: this.ok(),
                message: 'Success',
                payload: response.data,
            };
        });
    }
}
exports.default = GetByIdController;
//# sourceMappingURL=get.by.id.controller.js.map