export declare enum Gender {
    Male = "male",
    Female = "female"
}
export declare enum HttpCode {
    BadRequest = 400,
    Conflict = 409,
    Created = 201,
    Forbidden = 403,
    Gone = 410,
    InternalServerError = 500,
    NotFound = 404,
    Ok = 200,
    PaymentRequired = 402,
    TooMany = 429,
    Unauthorized = 401,
    UnsupportedMediaType = 415
}
export declare enum Projection {
    On = 1,
    Off = 0
}
export declare enum Sort {
    Asc = 1,
    Desc = -1
}
export declare enum ConditionFilter {
    BETWEEN = 1,
    EQUAL_TO = 2,
    NOT_EQUAL_TO = 3,
    GREATER_THAN = 4,
    GREATER_THAN_EQUAL = 5,
    LESS_THAN = 6,
    LESS_THAN_EQUAL = 7,
    LIKE = 8,
    TEXT_SEARCH = 9,
    IN = 10
}
export declare enum TaskQueueStatus {
    Queue = "Queue",
    Processing = "Processing",
    Failed = "Failed"
}
export declare enum TaskQueueStatusCode {
    Queue = 1,
    Processing = 2,
    Failed = 3
}
export declare enum PreferenceType {
    Purchase = "Purchase",
    Sales = "Sales",
    Inventory = "Inventory",
    Loyalty = "Loyalty",
    Billing = "Billing"
}
export declare enum PreferenceTypeCode {
    Purchase = 1,
    Sales = 2,
    Inventory = 3,
    Loyalty = 4,
    Billing = 5
}
export declare const serverDateFormat = "DD MMM YYYY";
export declare enum Status {
    Disabled = "Disabled",
    Enabled = "Enabled"
}
export declare enum StatusCode {
    Disabled = 0,
    Enabled = 1
}
export declare enum SourceAppCode {
    Inventory = 1,
    Loyalty = 2,
    Subscription = 3
}
export declare enum SourceApp {
    Inventory = "Inventory",
    Loyalty = "Loyalty",
    Subscription = "Subscription"
}
export declare enum JWTError {
    Invalid_Signature = "invalid signature",
    JWT_Expired = "jwt expired"
}
export declare enum Platform {
    Android = "android",
    iOS = "ios",
    Web = "web"
}
export declare enum NotificationTypeCode {
    Notification = 1,
    Telegram = 2,
    Mail = 3
}
export declare enum NotificationType {
    Notification = "Notification",
    Telegram = "Telegram",
    Mail = "Mail"
}
export declare enum ItemTypeCode {
    Item = 1,
    Addon = 2,
    Plan = 3
}
export declare enum ItemType {
    Item = "Item",
    Addon = "Addon",
    Plan = "Plan"
}
