"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ItemType = exports.ItemTypeCode = exports.NotificationType = exports.NotificationTypeCode = exports.Platform = exports.JWTError = exports.SourceApp = exports.SourceAppCode = exports.StatusCode = exports.Status = exports.serverDateFormat = exports.PreferenceTypeCode = exports.PreferenceType = exports.TaskQueueStatusCode = exports.TaskQueueStatus = exports.ConditionFilter = exports.Sort = exports.Projection = exports.HttpCode = exports.Gender = void 0;
var Gender;
(function (Gender) {
    Gender["Male"] = "male";
    Gender["Female"] = "female";
})(Gender || (exports.Gender = Gender = {}));
var HttpCode;
(function (HttpCode) {
    HttpCode[HttpCode["BadRequest"] = 400] = "BadRequest";
    HttpCode[HttpCode["Conflict"] = 409] = "Conflict";
    HttpCode[HttpCode["Created"] = 201] = "Created";
    HttpCode[HttpCode["Forbidden"] = 403] = "Forbidden";
    HttpCode[HttpCode["Gone"] = 410] = "Gone";
    HttpCode[HttpCode["InternalServerError"] = 500] = "InternalServerError";
    HttpCode[HttpCode["NotFound"] = 404] = "NotFound";
    HttpCode[HttpCode["Ok"] = 200] = "Ok";
    HttpCode[HttpCode["PaymentRequired"] = 402] = "PaymentRequired";
    HttpCode[HttpCode["TooMany"] = 429] = "TooMany";
    HttpCode[HttpCode["Unauthorized"] = 401] = "Unauthorized";
    HttpCode[HttpCode["UnsupportedMediaType"] = 415] = "UnsupportedMediaType";
})(HttpCode || (exports.HttpCode = HttpCode = {}));
var Projection;
(function (Projection) {
    Projection[Projection["On"] = 1] = "On";
    Projection[Projection["Off"] = 0] = "Off";
})(Projection || (exports.Projection = Projection = {}));
var Sort;
(function (Sort) {
    Sort[Sort["Asc"] = 1] = "Asc";
    Sort[Sort["Desc"] = -1] = "Desc";
})(Sort || (exports.Sort = Sort = {}));
var ConditionFilter;
(function (ConditionFilter) {
    ConditionFilter[ConditionFilter["BETWEEN"] = 1] = "BETWEEN";
    ConditionFilter[ConditionFilter["EQUAL_TO"] = 2] = "EQUAL_TO";
    ConditionFilter[ConditionFilter["NOT_EQUAL_TO"] = 3] = "NOT_EQUAL_TO";
    ConditionFilter[ConditionFilter["GREATER_THAN"] = 4] = "GREATER_THAN";
    ConditionFilter[ConditionFilter["GREATER_THAN_EQUAL"] = 5] = "GREATER_THAN_EQUAL";
    ConditionFilter[ConditionFilter["LESS_THAN"] = 6] = "LESS_THAN";
    ConditionFilter[ConditionFilter["LESS_THAN_EQUAL"] = 7] = "LESS_THAN_EQUAL";
    ConditionFilter[ConditionFilter["LIKE"] = 8] = "LIKE";
    ConditionFilter[ConditionFilter["TEXT_SEARCH"] = 9] = "TEXT_SEARCH";
    ConditionFilter[ConditionFilter["IN"] = 10] = "IN";
})(ConditionFilter || (exports.ConditionFilter = ConditionFilter = {}));
var TaskQueueStatus;
(function (TaskQueueStatus) {
    TaskQueueStatus["Queue"] = "Queue";
    TaskQueueStatus["Processing"] = "Processing";
    TaskQueueStatus["Failed"] = "Failed";
})(TaskQueueStatus || (exports.TaskQueueStatus = TaskQueueStatus = {}));
var TaskQueueStatusCode;
(function (TaskQueueStatusCode) {
    TaskQueueStatusCode[TaskQueueStatusCode["Queue"] = 1] = "Queue";
    TaskQueueStatusCode[TaskQueueStatusCode["Processing"] = 2] = "Processing";
    TaskQueueStatusCode[TaskQueueStatusCode["Failed"] = 3] = "Failed";
})(TaskQueueStatusCode || (exports.TaskQueueStatusCode = TaskQueueStatusCode = {}));
var PreferenceType;
(function (PreferenceType) {
    PreferenceType["Purchase"] = "Purchase";
    PreferenceType["Sales"] = "Sales";
    PreferenceType["Inventory"] = "Inventory";
    PreferenceType["Loyalty"] = "Loyalty";
    PreferenceType["Billing"] = "Billing";
})(PreferenceType || (exports.PreferenceType = PreferenceType = {}));
var PreferenceTypeCode;
(function (PreferenceTypeCode) {
    PreferenceTypeCode[PreferenceTypeCode["Purchase"] = 1] = "Purchase";
    PreferenceTypeCode[PreferenceTypeCode["Sales"] = 2] = "Sales";
    PreferenceTypeCode[PreferenceTypeCode["Inventory"] = 3] = "Inventory";
    PreferenceTypeCode[PreferenceTypeCode["Loyalty"] = 4] = "Loyalty";
    PreferenceTypeCode[PreferenceTypeCode["Billing"] = 5] = "Billing";
})(PreferenceTypeCode || (exports.PreferenceTypeCode = PreferenceTypeCode = {}));
exports.serverDateFormat = 'DD MMM YYYY';
var Status;
(function (Status) {
    Status["Disabled"] = "Disabled";
    Status["Enabled"] = "Enabled";
})(Status || (exports.Status = Status = {}));
var StatusCode;
(function (StatusCode) {
    StatusCode[StatusCode["Disabled"] = 0] = "Disabled";
    StatusCode[StatusCode["Enabled"] = 1] = "Enabled";
})(StatusCode || (exports.StatusCode = StatusCode = {}));
var SourceAppCode;
(function (SourceAppCode) {
    SourceAppCode[SourceAppCode["Inventory"] = 1] = "Inventory";
    SourceAppCode[SourceAppCode["Loyalty"] = 2] = "Loyalty";
    SourceAppCode[SourceAppCode["Subscription"] = 3] = "Subscription";
})(SourceAppCode || (exports.SourceAppCode = SourceAppCode = {}));
var SourceApp;
(function (SourceApp) {
    SourceApp["Inventory"] = "Inventory";
    SourceApp["Loyalty"] = "Loyalty";
    SourceApp["Subscription"] = "Subscription";
})(SourceApp || (exports.SourceApp = SourceApp = {}));
var JWTError;
(function (JWTError) {
    JWTError["Invalid_Signature"] = "invalid signature";
    JWTError["JWT_Expired"] = "jwt expired";
})(JWTError || (exports.JWTError = JWTError = {}));
var Platform;
(function (Platform) {
    Platform["Android"] = "android";
    Platform["iOS"] = "ios";
    Platform["Web"] = "web";
})(Platform || (exports.Platform = Platform = {}));
var NotificationTypeCode;
(function (NotificationTypeCode) {
    NotificationTypeCode[NotificationTypeCode["Notification"] = 1] = "Notification";
    NotificationTypeCode[NotificationTypeCode["Telegram"] = 2] = "Telegram";
    NotificationTypeCode[NotificationTypeCode["Mail"] = 3] = "Mail";
})(NotificationTypeCode || (exports.NotificationTypeCode = NotificationTypeCode = {}));
var NotificationType;
(function (NotificationType) {
    NotificationType["Notification"] = "Notification";
    NotificationType["Telegram"] = "Telegram";
    NotificationType["Mail"] = "Mail";
})(NotificationType || (exports.NotificationType = NotificationType = {}));
var ItemTypeCode;
(function (ItemTypeCode) {
    ItemTypeCode[ItemTypeCode["Item"] = 1] = "Item";
    ItemTypeCode[ItemTypeCode["Addon"] = 2] = "Addon";
    ItemTypeCode[ItemTypeCode["Plan"] = 3] = "Plan";
})(ItemTypeCode || (exports.ItemTypeCode = ItemTypeCode = {}));
var ItemType;
(function (ItemType) {
    ItemType["Item"] = "Item";
    ItemType["Addon"] = "Addon";
    ItemType["Plan"] = "Plan";
})(ItemType || (exports.ItemType = ItemType = {}));
//# sourceMappingURL=common.enum.js.map