"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RestaurantATOPermission = exports.RestaurantKDSPermission = exports.RestaurantPOSPermission = exports.InventoryRestaurantPermission = exports.SubscriptionPermission = exports.LoyaltyPermission = exports.RetailPOSPermission = exports.InventoryRetailPermission = exports.SharePOSPermission = exports.SharePermission = exports.UserRoleTypeCode = exports.ActionType = exports.PermissionType = exports.FeatureType = void 0;
var FeatureType;
(function (FeatureType) {
    FeatureType[FeatureType["Inventory"] = 1] = "Inventory";
    FeatureType[FeatureType["InventoryPurchase"] = 2] = "InventoryPurchase";
    FeatureType[FeatureType["InventorySales"] = 3] = "InventorySales";
    FeatureType[FeatureType["Loyalty"] = 4] = "Loyalty";
    FeatureType[FeatureType["Subscription"] = 5] = "Subscription";
})(FeatureType || (exports.FeatureType = FeatureType = {}));
var PermissionType;
(function (PermissionType) {
    PermissionType["Dashboard"] = "dashboard";
    PermissionType["Inventory"] = "inventory";
    PermissionType["Sales"] = "sales";
    PermissionType["Purchase"] = "purchase";
    PermissionType["Loyalty"] = "loyalty";
    PermissionType["Subscription"] = "subscription";
    PermissionType["More"] = "more";
    PermissionType["Report"] = "report";
    PermissionType["Setting"] = "setting";
    PermissionType["POS"] = "pos";
    PermissionType["KDS"] = "kds";
    PermissionType["ATO"] = "ato";
})(PermissionType || (exports.PermissionType = PermissionType = {}));
var ActionType;
(function (ActionType) {
    ActionType["Read"] = "read";
    ActionType["Write"] = "write";
    ActionType["IssuedDocument"] = "issue_document";
    ActionType["ClosedDocument"] = "closed_document";
    ActionType["VoidDocument"] = "void_document";
    ActionType["ReceivePurchaseOrder"] = "receive_purchase_order";
    ActionType["InvoicePurchaseOrder"] = "invoice_purchase_order";
    ActionType["ShipReturnPurchaseOrder"] = "ship_return_purchase_order";
    ActionType["CreditMemoReturnPurchaseOrder"] = "credit_memo_return_purchase_order";
    ActionType["ApplyToPurchaseInvoices"] = "apply_to_purchase_invoices";
    ActionType["ShipSalesOrder"] = "ship_sales_order";
    ActionType["InvoiceSalesOrder"] = "invoice_sales_order";
    ActionType["ReceiveSalesOrder"] = "receive_sales_order";
    ActionType["CreditMemoSalesReturnOrder"] = "credit_memo_sales_return_order";
    ActionType["ApplyToSalesInvoices"] = "apply_to_sales_invoices";
    ActionType["ShipTransferOrder"] = "ship_transfer_order";
    ActionType["ReceiveTransferOrder"] = "receive_transfer_order";
})(ActionType || (exports.ActionType = ActionType = {}));
var UserRoleTypeCode;
(function (UserRoleTypeCode) {
    UserRoleTypeCode[UserRoleTypeCode["AppAdmin"] = 1] = "AppAdmin";
    UserRoleTypeCode[UserRoleTypeCode["POSRetail"] = 2] = "POSRetail";
    UserRoleTypeCode[UserRoleTypeCode["POSRestaurant"] = 3] = "POSRestaurant";
    UserRoleTypeCode[UserRoleTypeCode["POSKDS"] = 4] = "POSKDS";
    UserRoleTypeCode[UserRoleTypeCode["POSATO"] = 5] = "POSATO";
})(UserRoleTypeCode || (exports.UserRoleTypeCode = UserRoleTypeCode = {}));
exports.SharePermission = {
    inventory: {
        itemVariant: 101,
        item: 102,
        compositeItem: 103,
        inventoryAdjustment: 104,
        transferOrder: 105,
        transferShipment: 106,
        transferReceipt: 107,
    },
    sales: {
        customer: 500,
        salesperson: 400,
        salesQuote: 601,
        salesInvoice: 605,
        salesCreditMemo: 607,
        cashReceipt: 700,
        cashReceiptRefund: 800,
    },
    salesOrder: {
        salesOrder: 602,
        salesReturnOrder: 603,
        salesShipment: 604,
        salesReceipt: 606,
    },
    purchase: {
        vendor: 900,
        purchaseQuote: 1001,
        purchaseOrder: 1002,
        purchaseReturnOrder: 1003,
        purchaseReceive: 1004,
        purchaseInvoice: 1005,
        purchaseShipment: 1006,
        purchaseCreditMemo: 1007,
        paymentMade: 1100,
        paymentRefund: 1200,
    },
    report: {
        payable: {
            reportCode: 100,
            sub: {
                purchaseOrderSummary: 101,
                purchaseOrderDetails: 102,
                purchaseInvoiceSummary: 103,
                purchaseInvoiceDetails: 104,
                vendorStatementSummary: 105,
                paymentMade: 106,
                paymentRefund: 107,
            },
        },
        purchase: {
            reportCode: 200,
            sub: {
                purchaseReceiveSummary: 201,
                purchaseReceiveDetails: 202,
                purchaseReturnOrderSummary: 203,
                purchaseReturnOrderDetails: 204,
                purchaseShipmentSummary: 205,
                purchaseShipmentDetails: 206,
                purchaseCreditMemoSummary: 207,
                purchaseCreditMemoDetails: 208,
            },
        },
        receivables: {
            reportCode: 300,
            sub: {
                salesOrderSummary: 301,
                salesOrderDetails: 302,
                salesInvoiceSummary: 303,
                salesInvoiceDetails: 304,
                customerStatementSummary: 305,
                cashReceipt: 306,
                cashReceiptRefund: 307,
            },
        },
        sales: {
            reportCode: 400,
            sub: {
                salesReceiveSummary: 401,
                salesReceiveDetails: 402,
                salesReturnOrderSummary: 403,
                salesReturnOrderDetails: 404,
                salesShipmentSummary: 405,
                salesShipmentDetails: 406,
                salesCreditMemoSummary: 407,
                salesCreditMemoDetails: 408,
            },
        },
    },
    more: {
        approvalRequest: 300,
        BankReconciles: 1300,
    },
    settings: {
        companyProfile: 1,
        userRole: 2,
        warehouse: 3,
        branch: 4,
        currencies: 5,
        tax: 6,
        bankAccount: 7,
        documentNoSeries: 8,
        preference: 9,
        salesChannel: 10,
        paymentMethod: 11,
    },
};
exports.SharePOSPermission = {
    pos: {
        userRole: 1701,
        device: 1702,
    },
    sales: {
        shift: 1703,
        item: 1704,
        customer: 1705,
        salesperson: 400,
        salesOrder: 1706,
        salesReturnOrder: 1707,
    },
};
exports.InventoryRetailPermission = {
    inventory: exports.SharePermission.inventory,
    sales: Object.assign(Object.assign({}, exports.SharePermission.sales), exports.SharePermission.salesOrder),
    purchase: exports.SharePermission.purchase,
    more: exports.SharePermission.more,
    pos: Object.assign({}, exports.SharePOSPermission.pos),
    report: exports.SharePermission.report,
    settings: exports.SharePermission.settings,
};
exports.RetailPOSPermission = {
    pos: Object.assign(Object.assign({ device: exports.SharePOSPermission.pos.device }, exports.SharePOSPermission.sales), { floorPlan: 1708, reservation: 1709 }),
};
exports.LoyaltyPermission = {
    loyalty: {
        Tier: 1601,
        Card: 1602,
        Reward: 1603,
        Voucher: 1604,
        Promotion: 1605,
    },
    inventory: {
        item: 102,
        compositeItem: 103,
    },
    sales: {
        customer: 500,
    },
};
exports.SubscriptionPermission = {
    subscription: {
        addon: 1501,
        product: 1502,
        subscription: 1503,
    },
    sales: exports.SharePermission.sales,
    more: {
        approvalRequest: 300,
    },
    report: {},
    settings: exports.SharePermission.settings,
};
exports.InventoryRestaurantPermission = {
    inventory: Object.assign(Object.assign({}, exports.SharePermission.inventory), { itemModifire: 108 }),
    sales: Object.assign(Object.assign({}, exports.SharePermission.sales), exports.SharePermission.salesOrder),
    more: exports.SharePermission.more,
    purchase: exports.SharePermission.purchase,
    pos: Object.assign(Object.assign({}, exports.SharePOSPermission.pos), { floorPlan: 1708, reservation: 1709, kitchenOrder: 1710 }),
    report: exports.SharePermission.report,
    settings: exports.SharePermission.settings,
};
exports.RestaurantPOSPermission = {
    pos: Object.assign(Object.assign({ device: exports.SharePOSPermission.pos.device }, exports.SharePOSPermission.sales), { floorPlan: 1708, reservation: 1709 }),
};
exports.RestaurantKDSPermission = {
    kds: {
        device: exports.SharePOSPermission.pos.device,
        kitchenOrder: 1710,
    },
};
exports.RestaurantATOPermission = {
    ato: {
        device: exports.SharePOSPermission.pos.device,
        item: exports.SharePOSPermission.sales.item,
        customer: exports.SharePOSPermission.sales.customer,
        salesOrder: exports.SharePOSPermission.sales.salesOrder,
    },
};
//# sourceMappingURL=permission.enum.js.map