"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RefundStatusCode = exports.RefundStatus = exports.PaymentStatusCode = exports.PaymentStatus = exports.PurchaseDocumentStatus = exports.PurchaseDocumentStatusCode = exports.PurchaseDocumentType = exports.PurchaseDocumentTypeCode = void 0;
var PurchaseDocumentTypeCode;
(function (PurchaseDocumentTypeCode) {
    PurchaseDocumentTypeCode[PurchaseDocumentTypeCode["Quote"] = 1] = "Quote";
    PurchaseDocumentTypeCode[PurchaseDocumentTypeCode["Order"] = 2] = "Order";
    PurchaseDocumentTypeCode[PurchaseDocumentTypeCode["Invoice"] = 3] = "Invoice";
    PurchaseDocumentTypeCode[PurchaseDocumentTypeCode["CreditMemo"] = 4] = "CreditMemo";
    PurchaseDocumentTypeCode[PurchaseDocumentTypeCode["ReturnOrder"] = 5] = "ReturnOrder";
    PurchaseDocumentTypeCode[PurchaseDocumentTypeCode["Receipt"] = 6] = "Receipt";
    PurchaseDocumentTypeCode[PurchaseDocumentTypeCode["Shipment"] = 7] = "Shipment";
    PurchaseDocumentTypeCode[PurchaseDocumentTypeCode["Payment"] = 8] = "Payment";
    PurchaseDocumentTypeCode[PurchaseDocumentTypeCode["Refund"] = 9] = "Refund";
    PurchaseDocumentTypeCode[PurchaseDocumentTypeCode["CreditApplied"] = 10] = "CreditApplied";
})(PurchaseDocumentTypeCode || (exports.PurchaseDocumentTypeCode = PurchaseDocumentTypeCode = {}));
var PurchaseDocumentType;
(function (PurchaseDocumentType) {
    PurchaseDocumentType["Quote"] = "Quote";
    PurchaseDocumentType["Order"] = "Order";
    PurchaseDocumentType["Invoice"] = "Invoice";
    PurchaseDocumentType["CreditMemo"] = "Credit Memo";
    PurchaseDocumentType["ReturnOrder"] = "Return Order";
    PurchaseDocumentType["Receipt"] = "Receipt";
    PurchaseDocumentType["Shipment"] = "Shipment";
    PurchaseDocumentType["Payment"] = "Payment";
    PurchaseDocumentType["Refund"] = "Refund";
    PurchaseDocumentType["CreditApplied"] = "Credit Applied";
})(PurchaseDocumentType || (exports.PurchaseDocumentType = PurchaseDocumentType = {}));
var PurchaseDocumentStatusCode;
(function (PurchaseDocumentStatusCode) {
    PurchaseDocumentStatusCode[PurchaseDocumentStatusCode["Draft"] = 1] = "Draft";
    PurchaseDocumentStatusCode[PurchaseDocumentStatusCode["Open"] = 2] = "Open";
    PurchaseDocumentStatusCode[PurchaseDocumentStatusCode["Issued"] = 3] = "Issued";
    PurchaseDocumentStatusCode[PurchaseDocumentStatusCode["PartiallyInvoiced"] = 4] = "PartiallyInvoiced";
    PurchaseDocumentStatusCode[PurchaseDocumentStatusCode["Invoiced"] = 5] = "Invoiced";
    PurchaseDocumentStatusCode[PurchaseDocumentStatusCode["PartiallyReceived"] = 7] = "PartiallyReceived";
    PurchaseDocumentStatusCode[PurchaseDocumentStatusCode["Received"] = 8] = "Received";
    PurchaseDocumentStatusCode[PurchaseDocumentStatusCode["Closed"] = 9] = "Closed";
    PurchaseDocumentStatusCode[PurchaseDocumentStatusCode["Canceled"] = 10] = "Canceled";
    PurchaseDocumentStatusCode[PurchaseDocumentStatusCode["NotReceived"] = 11] = "NotReceived";
    PurchaseDocumentStatusCode[PurchaseDocumentStatusCode["NotInvoiced"] = 12] = "NotInvoiced";
    PurchaseDocumentStatusCode[PurchaseDocumentStatusCode["NotShipped"] = 13] = "NotShipped";
    PurchaseDocumentStatusCode[PurchaseDocumentStatusCode["PartiallyShipped"] = 14] = "PartiallyShipped";
    PurchaseDocumentStatusCode[PurchaseDocumentStatusCode["Shipped"] = 15] = "Shipped";
    PurchaseDocumentStatusCode[PurchaseDocumentStatusCode["NotCreditMemo"] = 16] = "NotCreditMemo";
    PurchaseDocumentStatusCode[PurchaseDocumentStatusCode["PartiallyCreditMemo"] = 17] = "PartiallyCreditMemo";
    PurchaseDocumentStatusCode[PurchaseDocumentStatusCode["CreditMemo"] = 18] = "CreditMemo";
    PurchaseDocumentStatusCode[PurchaseDocumentStatusCode["PendingApproval"] = 19] = "PendingApproval";
    PurchaseDocumentStatusCode[PurchaseDocumentStatusCode["Rejected"] = 20] = "Rejected";
    PurchaseDocumentStatusCode[PurchaseDocumentStatusCode["Approved"] = 21] = "Approved";
})(PurchaseDocumentStatusCode || (exports.PurchaseDocumentStatusCode = PurchaseDocumentStatusCode = {}));
var PurchaseDocumentStatus;
(function (PurchaseDocumentStatus) {
    PurchaseDocumentStatus["Draft"] = "Draft";
    PurchaseDocumentStatus["Open"] = "Open";
    PurchaseDocumentStatus["Issued"] = "Issued";
    PurchaseDocumentStatus["PartiallyInvoiced"] = "Partially Invoiced";
    PurchaseDocumentStatus["Invoiced"] = "Invoiced";
    PurchaseDocumentStatus["PartiallyReceived"] = "Partially Received";
    PurchaseDocumentStatus["Received"] = "Received";
    PurchaseDocumentStatus["Closed"] = "Closed";
    PurchaseDocumentStatus["Canceled"] = "Canceled";
    PurchaseDocumentStatus["NotReceived"] = "Not Received";
    PurchaseDocumentStatus["NotInvoiced"] = "Not Invoiced";
    PurchaseDocumentStatus["NotShipped"] = "Not Shipped";
    PurchaseDocumentStatus["PartiallyShipped"] = "Partially Shipped";
    PurchaseDocumentStatus["Shipped"] = "Shipped";
    PurchaseDocumentStatus["NotCreditMemo"] = "Not Credit Memo";
    PurchaseDocumentStatus["PartiallyCreditMemo"] = "Partially Credit Memo";
    PurchaseDocumentStatus["CreditMemo"] = "Credit Memo";
    PurchaseDocumentStatus["PendingApproval"] = "Pending Approval";
    PurchaseDocumentStatus["Rejected"] = "Rejected";
    PurchaseDocumentStatus["Approved"] = "Approved";
})(PurchaseDocumentStatus || (exports.PurchaseDocumentStatus = PurchaseDocumentStatus = {}));
var PaymentStatus;
(function (PaymentStatus) {
    PaymentStatus["Open"] = "Open";
    PaymentStatus["PartiallyPaid"] = "Partially Paid";
    PaymentStatus["Paid"] = "Paid";
})(PaymentStatus || (exports.PaymentStatus = PaymentStatus = {}));
var PaymentStatusCode;
(function (PaymentStatusCode) {
    PaymentStatusCode[PaymentStatusCode["Open"] = 1] = "Open";
    PaymentStatusCode[PaymentStatusCode["PartiallyPaid"] = 2] = "PartiallyPaid";
    PaymentStatusCode[PaymentStatusCode["Paid"] = 3] = "Paid";
})(PaymentStatusCode || (exports.PaymentStatusCode = PaymentStatusCode = {}));
var RefundStatus;
(function (RefundStatus) {
    RefundStatus["Open"] = "Open";
    RefundStatus["PartiallyRefund"] = "Partially Refund";
    RefundStatus["Refunded"] = "Refunded";
})(RefundStatus || (exports.RefundStatus = RefundStatus = {}));
var RefundStatusCode;
(function (RefundStatusCode) {
    RefundStatusCode[RefundStatusCode["Open"] = 1] = "Open";
    RefundStatusCode[RefundStatusCode["PartiallyRefund"] = 2] = "PartiallyRefund";
    RefundStatusCode[RefundStatusCode["Refunded"] = 3] = "Refunded";
})(RefundStatusCode || (exports.RefundStatusCode = RefundStatusCode = {}));
//# sourceMappingURL=purchase.enum.js.map