export declare enum VATType {
    VATExclusive = 1,
    VATInclusive = 2
}
export declare enum VATCalculationType {
    VATBeforeDiscount = 1,
    VATAfterDiscount = 2
}
export declare enum CostingMethods {
    FIFO = "FIFO",
    Average = "Average"
}
export declare enum ItemTrackingTypeCode {
    None = 0,
    Lot = 1,
    Series = 2
}
export declare enum DiscountType {
    Percentage = 1,
    Amount = 2
}
export declare enum DiscountLevelType {
    AtTransactionLevel = 1,
    AtLineItemLevel = 2
}
export declare enum EntryType {
    Purchase = "Purchase",
    Sales = "Sales",
    DirectCost = "Direct Cost"
}
export declare enum EntryTypeCode {
    Purchase = 1,
    Sales = 2,
    DirectCost = 3
}
export declare enum SourceType {
    Vendor = "Vendor",
    Customer = "Customer"
}
export declare enum SourceTypeCode {
    Vendor = 1,
    Customer = 2
}
export declare enum VATEntryDocumentType {
    Invoice = "Invoice",
    CreditMemo = "Credit Memo"
}
export declare enum VATEntryDocumentTypeCode {
    Invoice = 1,
    CreditMemo = 2
}
export declare enum AdjustmentType {
    PositiveAdjustment = "Positive Adjustment",
    NegativeAdjustment = "Negative Adjustment"
}
export declare enum AdjustmentTypeCode {
    PositiveAdjustment = 1,
    NegativeAdjustment = 2
}
export declare enum AdjustmentStatus {
    Open = "Open",
    Issued = "Issued",
    Adjusted = "Adjusted",
    PendingApproval = "Pending Approval",
    Rejected = "Rejected",
    Approved = "Approved"
}
export declare enum AdjustmentStatusCode {
    Open = 1,
    Issued = 2,
    Adjusted = 3,
    PendingApproval = 4,
    Rejected = 5,
    Approved = 6
}
export declare enum TransferStatus {
    Open = "Open",
    Issued = "Issued",
    InTransit = "In Transit",
    Transferred = "Transferred",
    PendingApproval = "Pending Approval",
    Rejected = "Rejected",
    Approved = "Approved",
    NotShipped = "Not Shipped",
    PartiallyShipped = "Partially Shipped",
    Shipped = "Shipped",
    NotReceived = "Not Received",
    PartiallyReceived = "Partially Received",
    Received = "Received",
    Closed = "Closed"
}
export declare enum TransferStatusCode {
    Open = 1,
    Issued = 2,
    InTransit = 3,
    Transferred = 4,
    PendingApproval = 5,
    Rejected = 6,
    Approved = 7,
    NotShipped = 8,
    PartiallyShipped = 9,
    Shipped = 10,
    NotReceived = 11,
    PartiallyReceived = 12,
    Received = 13,
    Closed = 14
}
export declare enum DocumentType {
    PurchaseQuote = "Purchase Quote",
    PurchaseOrder = "Purchase Order",
    PurchaseInvoice = "Purchase Invoice",
    PurchaseReturnOrder = "Purchase Return Order",
    PurchaseCreditMemo = "Purchase Credit Memo",
    PurchaseReceipt = "Purchase Receipt",
    PurchaseShipment = "Purchase Shipment",
    SalesQuote = "Sales Quote",
    SalesOrder = "Sales Order",
    SalesInvoice = "Sales Invoice",
    SalesShipment = "Sales Shipment",
    SalesReturnOrder = "Sales Return Order",
    SalesCreditMemo = "Sales Credit Memo",
    SalesReceipt = "Sales Receipt",
    PositiveAdjustment = "Positive Adjustment",
    NegativeAdjustment = "Negative Adjustment",
    TransferOrder = "Transfer Order",
    TransferShipment = "Transfer Shipment",
    TransferReceipt = "Transfer Receipt"
}
export declare enum DocumentTypeCode {
    PurchaseQuote = 1,
    PurchaseOrder = 2,
    PurchaseInvoice = 3,
    PurchaseReturnOrder = 4,
    PurchaseCreditMemo = 5,
    PurchaseReceipt = 6,
    PurchaseShipment = 7,
    SalesQuote = 8,
    SalesOrder = 9,
    SalesInvoice = 10,
    SalesReturnOrder = 11,
    SalesCreditMemo = 12,
    PositiveAdjustment = 13,
    NegativeAdjustment = 14,
    TransferOrder = 15,
    TransferShipment = 16,
    TransferReceipt = 17,
    SalesShipment = 19,
    SalesReceipt = 20
}
export declare enum DocumentNoSeriesType {
    PurchaseQuote = "Purchase Quote",
    PurchaseOrder = "Purchase Order",
    PurchaseInvoice = "Purchase Order Invoice",
    PurchaseReturnOrder = "Purchase Return Order",
    PurchaseCreditMemo = "Purchase Credit Memo",
    PurchaseReceipt = "Purchase Receipt",
    PurchaseShipment = "Purchase Shipment",
    PurchaseInvoiced = "Purchase Invoiced",
    Payment = "Payment",
    PaymentRefund = "Payment Refund",
    SalesQuote = "Sales Quote",
    SalesOrder = "Sales Order",
    SalesReturnOrder = "Sales Return Order",
    SalesPackage = "Sales Package",
    SalesShipment = "Sales Shipment",
    SalesInvoice = "Sales Invoice",
    SalesReceipt = "Sales Receipt",
    SalesCreditMemo = "Sales Credit Memo",
    CashReceipt = "Cash Receipt",
    CashReceiptRefund = "Cash Receipt Refund",
    Customer = "Customer",
    Salesperson = "Salesperson",
    Vendor = "Vendor",
    TransferOrder = "Transfer Order",
    TransferShipment = "Transfer Shipment",
    TransferReceipt = "Transfer Receipt",
    InventoryAdjustment = "Inventory Adjustment",
    Subscription = "Subscription"
}
export declare enum DocumentNoSeriesTypeCode {
    PurchaseQuote = 1,
    PurchaseOrder = 2,
    PurchaseInvoice = 3,
    PurchaseReturnOrder = 4,
    PurchaseCreditMemo = 5,
    PurchaseReceipt = 6,
    PurchaseShipment = 7,
    PurchaseInvoiced = 8,
    Payment = 9,
    PaymentRefund = 10,
    SalesQuote = 11,
    SalesOrder = 12,
    SalesShipment = 13,
    SalesInvoice = 14,
    SalesReceipt = 15,
    SalesCreditMemo = 16,
    CashReceipt = 17,
    CashReceiptRefund = 18,
    Customer = 19,
    Salesperson = 20,
    Vendor = 21,
    SalesPackage = 22,
    SalesReturnOrder = 23,
    TransferOrder = 24,
    TransferShipment = 25,
    TransferReceipt = 26,
    InventoryAdjustment = 27,
    Subscription = 28
}
export declare enum DocumentNoSeriesInvoiceType {
    SalesInvoice = "Sales Invoice",
    PurchaseInvoice = "Purchase Invoice"
}
export declare enum DocumentNoSeriesInvoiceTypeCode {
    SalesInvoice = 1,
    PurchaseInvoice = 2
}
export declare enum BankLedgerEntryDocumentType {
    Payment = "Payment",
    PaymentRefund = "Payment Refund",
    CashReceipt = "Cash Receipt",
    CashReceiptRefund = "Cash Receipt Refund",
    Correction = "Correction"
}
export declare enum BankLedgerEntryDocumentTypeCode {
    Payment = 1,
    PaymentRefund = 2,
    CashReceipt = 3,
    CashReceiptRefund = 4,
    Correction = 5
}
export declare enum BankLedgerEntryStatus {
    Unreconciled = "Unreconciled",
    Reconciled = "Reconciled"
}
export declare enum BankLedgerEntryStatusCode {
    Unreconciled = 1,
    Reconciled = 2
}
export declare enum TaxType {
    VAT = "VAT",
    WithholdingTax = "Withholding Tax"
}
export declare enum TaxTypeCode {
    VAT = 1,
    WithholdingTax = 2
}
export declare enum TransactionTaxType {
    VATIn = "VAT In",
    VATOut = "VAT Out",
    WithholdingTax = "Withholding Tax"
}
export declare enum TransactionTaxTypeCode {
    VATIn = 1,
    VATOut = 2,
    WithholdingTax = 3
}
export declare enum PaymentMethodType {
    Cash = "Cash",
    Bank = "Bank",
    OnlinePayment = "Online Payment"
}
export declare enum PaymentMethodTypeCode {
    Cash = 1,
    Bank = 2,
    OnlinePayment = 3
}
export declare enum InventoryItemTrackingDocumentType {
    InventoryAdjustment = 1,
    TransferShipment = 2,
    TransferReceipt = 3
}
export declare enum TaskQueueDocumentType {
    InventoryAdjustment = "Inventory Adjustment",
    TransferShipment = "Transfer Shipment",
    TransferReceipt = "Transfer Receipt",
    PurchaseReceipt = "Purchase Receipt",
    PurchaseInvoice = "Purchase Invoice",
    PurchaseShipment = "Purchase Shipment",
    PurchaseCreditMemo = "Purchase Credit Memo",
    SalesShipment = "Sales Shipment",
    SalesInvoice = "Sales Invoice",
    SalesReceipt = "Sales Receipt",
    SalesCreditMemo = "Sales Credit Memo",
    POSSales = "POS Sale",
    Subscription = "Subscription",
    Loyalty = "Loyalty"
}
export declare enum TaskQueueDocumentTypeCode {
    InventoryAdjustment = 1,
    TransferShipment = 2,
    TransferReceipt = 3,
    PurchaseReceipt = 4,
    PurchaseInvoice = 5,
    PurchaseShipment = 6,
    PurchaseCreditMemo = 7,
    SalesShipment = 8,
    SalesInvoice = 9,
    SalesReceipt = 10,
    SalesCreditMemo = 11,
    POSSales = 12,
    Subscription = 13,
    Loyalty = 14
}
