import { IPageContext, IUseCaseResponse, IUserCached } from '../interfaces';
export interface IListResponse extends IUseCaseResponse {
}
export interface IListUseCase {
    exec(context: IPageContext, userInfo: IUserCached): Promise<IListResponse>;
}
export interface IGetResponse extends IUseCaseResponse {
}
export interface IGetUseCase {
    exec(context: IPageContext): Promise<IGetResponse>;
}
export interface IGetByIdResponse extends IUseCaseResponse {
    notFound?: boolean;
}
export interface IGetByIdUseCase {
    exec(id: string, userInfo: IUserCached): Promise<IGetByIdResponse>;
}
export interface IGetByDocumentNoResponse extends IGetByIdResponse {
}
export interface IGetByDocumentNoUseCase {
    exec(documentNo: string, includeLineDocuments: boolean, userInfo: IUserCached): Promise<IGetByDocumentNoResponse>;
}
export interface IDeleteResponse extends IUseCaseResponse {
    notFound?: boolean;
    hasTransaction?: boolean;
    failedToDelete?: boolean;
}
export interface IDeleteUseCase {
    exec(id: string, userInfo: IUserCached): Promise<IDeleteResponse>;
}
