import { IUseCaseResponse, IPageContext } from '../interfaces';
export interface IListSetupResponse extends IUseCaseResponse {
}
export interface IListSetupUseCase {
    exec(context: IPageContext): Promise<IListSetupResponse>;
}
export interface ICreateSetupResponse extends IUseCaseResponse {
    exist?: boolean;
    failedToCreate?: boolean;
}
export interface ICreateSetupUseCase {
    exec(setupInfo: any): Promise<ICreateSetupResponse>;
}
export interface IUpdateSetupResponse extends IUseCaseResponse {
    notFound?: boolean;
    hasTransaction?: boolean;
    failedToUpdate?: boolean;
}
export interface IUpdateSetupUseCase {
    exec(id: string, setupInfo: any): Promise<IUpdateSetupResponse>;
}
export interface IDeleteSetupResponse extends IUseCaseResponse {
    notFound?: boolean;
    hasTransaction?: boolean;
    failedToDelete?: boolean;
}
export interface IDeleteSetupUseCase {
    exec(id: string): Promise<IDeleteSetupResponse>;
}
