import { ObjectId } from 'mongodb';
export interface IController {
    handler(httpRequest: any | object): Promise<void | any>;
}
export interface IInsert {
    status: number;
    insertedCount: number;
}
export interface IInsertOneResult<Document> extends IInsert {
    insertedId: ObjectId;
    document: Document;
}
export interface IInsertManyResult extends IInsert {
    insertedIds: object;
}
export interface IUpdateResult {
    status: number;
    updatedCount: number;
}
export interface IDeleteResult {
    status: number;
    deletedCount: number;
}
export interface IPageContext<Filter = object, Projection = object, Sort = object> {
    page?: number;
    perPage?: number;
    appliedFilter?: Filter;
    appliedProjection?: Projection;
    appliedSubProjection?: Projection;
    sortBy?: Sort;
}
export type BaseExtractFields = '_id' | 'has_transaction' | 'created_at' | 'updated_at';
