import { HttpCode } from '../enum';
import { ICompanyCached, IUserCached } from './user';
export interface IJWTError {
    error?: boolean;
    message?: {
        Invalid_Signature?: boolean;
        JWT_Expired?: boolean;
        JWT_Invalid?: boolean;
    };
}
export interface IVerifyAuthInfo {
    authorization: string;
    appId: string;
    branchId: string;
}
export interface IVerifyAuthResponse {
    code: HttpCode;
    message?: string;
    user?: IUserCached;
    company?: ICompanyCached;
}
export interface IVerifyServiceAuthResponse extends IVerifyAuthResponse {
    memo?: string;
}
export interface IVerifyPOSAuthInfo extends IVerifyAuthInfo {
    deviceCode: string;
}
