import { ObjectId } from 'mongodb';
import { ApproverStatus, ApproverStatusCode, Projection, Sort, ApprovalSetupType, ApprovalSetupTypeCode } from '../../enum';
import { BaseExtractFields } from '../base.interface';
export interface IApprovalSetupDocument {
    _id?: ObjectId;
    branch_id: ObjectId;
    approver_id: ObjectId;
    approver_name: string;
    delegator_id?: ObjectId;
    delegator_name?: string;
    type: ApprovalSetupType;
    type_code: ApprovalSetupTypeCode;
    level: number;
    is_auto_delegate: boolean;
    status: ApproverStatus;
    status_code: ApproverStatusCode;
    is_active: boolean;
    created_at: Date;
    created_by: ObjectId;
    updated_at?: Date;
    updated_by: ObjectId;
}
export interface IApprovalSetupResult extends Partial<IApprovalSetupDocument> {
}
export interface IApprovalSetupSpec<T> extends Partial<Record<keyof IApprovalSetupDocument, T>> {
}
export interface IApprovalSetupInfo extends Omit<IApprovalSetupDocument, BaseExtractFields> {
}
export interface IApprovalSetupUpdateDocument extends IApprovalSetupResult {
}
export interface IApprovalSetupFilter extends IApprovalSetupResult {
}
export interface IApprovalSetupProjection extends IApprovalSetupSpec<Projection> {
}
export interface IApprovalSetupSort extends IApprovalSetupSpec<Sort> {
}
