import { ObjectId } from 'mongodb';
import { Projection, Sort } from '../../enum';
import { BaseExtractFields } from '../base.interface';
export interface IBankAccountDocument {
    _id?: ObjectId;
    name: string;
    description?: string;
    bank_account_no: string;
    currency_code: string;
    swift_code?: string;
    last_statement_no?: string;
    last_ending_amount?: number;
    available_balance?: number;
    qr_code_img?: string;
    has_transaction: boolean;
    is_active: boolean;
    created_at: Date;
    created_by: ObjectId;
    updated_at?: Date;
    updated_by: ObjectId;
}
export interface IBankAccountResult extends Partial<IBankAccountDocument> {
}
export interface IBankAccountSpec<T> extends Partial<Record<keyof IBankAccountDocument, T>> {
}
export interface IBankAccountInfo extends Omit<IBankAccountDocument, BaseExtractFields> {
}
export interface IBankAccountUpdateDocument extends IBankAccountResult {
}
export interface IBankAccountFilter extends IBankAccountResult {
}
export interface IBankAccountProjection extends IBankAccountSpec<Projection> {
}
export interface IBankAccountSort extends IBankAccountSpec<Sort> {
}
