import { ObjectId } from 'mongodb';
import { BankLedgerEntryDocumentTypeCode, BankLedgerEntryStatusCode, Projection, Sort } from '../../enum';
import { BaseExtractFields } from '../base.interface';
export interface IBankLedgerEntryDocument {
    _id?: ObjectId;
    app_id: string;
    branch_id: ObjectId;
    bank_account_id: ObjectId;
    entry_date?: Date;
    posting_date?: Date;
    document_no: string;
    document_type_code: BankLedgerEntryDocumentTypeCode;
    document_date: Date;
    currency_code: string;
    exchange_rate: number;
    amount: number;
    is_deposit: boolean;
    is_correction: boolean;
    status_code: BankLedgerEntryStatusCode;
    created_at: Date;
    created_by: ObjectId;
    updated_at?: Date;
    updated_by: ObjectId;
}
export interface IBankLedgerEntryResult extends Partial<IBankLedgerEntryDocument> {
}
export interface IBankLedgerEntrySpec<T> extends Partial<Record<keyof IBankLedgerEntryDocument, T>> {
}
export interface IBankLedgerEntryInfo extends Omit<IBankLedgerEntryDocument, BaseExtractFields> {
}
export interface IBankLedgerEntryUpdateDocument extends IBankLedgerEntryResult {
}
export interface IBankLedgerEntryFilter extends IBankLedgerEntryResult {
}
export interface IBankLedgerEntryProjection extends IBankLedgerEntrySpec<Projection> {
}
export interface IBankLedgerEntrySort extends IBankLedgerEntrySpec<Sort> {
}
