import { ObjectId } from 'mongodb';
import { Projection, Sort } from '../../enum';
import { BaseExtractFields } from '../base.interface';
export interface IBankReconcileDocument {
    _id?: ObjectId;
    app_id: string;
    branch_id: ObjectId;
    bank_account_id: ObjectId;
    reconcile_date: Date;
    reconcile_amount: number;
    reconcile_by_id: ObjectId;
    created_at: Date;
    created_by: ObjectId;
    updated_at?: Date;
    updated_by: ObjectId;
}
export interface IBankReconcileResult extends Partial<IBankReconcileDocument> {
}
export interface IBankReconcileSpec<T> extends Partial<Record<keyof IBankReconcileDocument, T>> {
}
export interface IBankReconcileInfo extends Omit<IBankReconcileDocument, BaseExtractFields> {
}
export interface IBankReconcileUpdateDocument extends IBankReconcileResult {
}
export interface IBankReconcileFilter extends IBankReconcileResult {
}
export interface IBankReconcileProjection extends IBankReconcileSpec<Projection> {
}
export interface IBankReconcileSort extends IBankReconcileSpec<Sort> {
}
