import { ObjectId } from 'mongodb';
import { Projection, Sort } from '../../enum';
import { BaseExtractFields } from '../base.interface';
export interface IChartOfAccountDocument {
    _id?: ObjectId;
    no: string;
    name: string;
    account_type_id: ObjectId;
    account_type_name: string;
    account_category_id: ObjectId;
    account_category_name: string;
    is_default: boolean;
    has_transaction: boolean;
    is_active: boolean;
    created_at: Date;
    updated_at?: Date;
}
export interface IChartOfAccountResult extends Partial<IChartOfAccountDocument> {
}
export interface IChartOfAccountSpec<T> extends Partial<Record<keyof IChartOfAccountDocument, T>> {
}
export interface IChartOfAccountInfo extends Omit<IChartOfAccountDocument, BaseExtractFields> {
}
export interface IChartOfAccountUpdateDocument extends IChartOfAccountResult {
}
export interface IChartOfAccountFilter extends IChartOfAccountResult {
}
export interface IChartOfAccountProjection extends IChartOfAccountSpec<Projection> {
}
export interface IChartOfAccountSort extends IChartOfAccountSpec<Sort> {
}
