import { ObjectId } from 'mongodb';
export interface IBillingAddress {
    billing_address?: string;
    billing_city?: string;
    billing_state?: string;
    billing_zip_code?: string;
    billing_phone?: string;
}
export interface IBillingAddressDocument extends IBillingAddress {
    _id?: ObjectId;
}
export interface IShippingAddress {
    shipping_address?: string;
    shipping_city?: string;
    shipping_state?: string;
    shipping_zip_code?: string;
    shipping_phone?: string;
}
export interface IShippingAddressDocument extends IShippingAddress {
    _id?: ObjectId;
}
export interface IPersonBankAccount {
    _id: ObjectId;
    name: string;
    account_no: string;
    account_name?: string;
}
export interface IPersonSocialApp {
    type: string;
    source?: string;
    url?: string;
}
export interface IPerson {
    code: string;
    salutation?: string;
    first_name: string;
    last_name: string;
    username: string;
    company_name?: string;
    email?: string;
    contact_no?: string[];
    bank_accounts?: IPersonBankAccount[];
    currency_code?: string;
    payment_term_id?: ObjectId;
    shipment_agent_id?: ObjectId;
    billing_addresses?: IBillingAddressDocument[];
    shipping_addresses?: IShippingAddressDocument[];
    social_apps?: IPersonSocialApp[];
    is_active: boolean;
    has_transaction: boolean;
    created_at: Date;
    created_by: ObjectId;
    updated_at?: Date;
    updated_by: ObjectId;
}
