import { ObjectId } from 'mongodb';
import { Projection, Sort } from '../../enum';
import { BaseExtractFields } from '../base.interface';
export interface ICountryDocument {
    _id?: ObjectId;
    name: string;
    description?: string;
    currency_code: string;
    currency_name: string;
    currency_symbol: string;
    currency_decimal_place: string;
    currency_decimal_format?: string;
    is_active: boolean;
    created_at: Date;
    updated_at?: Date;
}
export interface ICountryResult extends Partial<ICountryDocument> {
}
export interface ICountrySpec<T> extends Partial<Record<keyof ICountryDocument, T>> {
}
export interface ICountryInfo extends Omit<ICountryDocument, BaseExtractFields> {
}
export interface ICountryUpdateDocument extends ICountryResult {
}
export interface ICountryFilter extends ICountryResult {
}
export interface ICountryProjection extends ICountrySpec<Projection> {
}
export interface ICountrySort extends ICountrySpec<Sort> {
}
