import { ObjectId } from 'mongodb';
import { Projection, Sort } from '../../enum';
import { BaseExtractFields } from '../base.interface';
export interface ICurrencyExchangeRateDocument {
    _id?: ObjectId;
    exchange_currency_code: string;
    exchange_date: Date;
    rate: number;
    is_current_rate: boolean;
    created_at: Date;
    created_by: ObjectId;
    updated_at?: Date;
    updated_by: ObjectId;
}
export interface ICurrencyExchangeRateResult extends Partial<ICurrencyExchangeRateDocument> {
}
export interface ICurrencyExchangeRateSpec<T> extends Partial<Record<keyof ICurrencyExchangeRateDocument, T>> {
}
export interface ICurrencyExchangeRateInfo extends Omit<ICurrencyExchangeRateDocument, BaseExtractFields> {
}
export interface ICurrencyRateExchangeUpdateDocument extends ICurrencyExchangeRateResult {
}
export interface ICurrencyExchangeRateFilter extends ICurrencyExchangeRateResult {
}
export interface ICurrencyExchangeRateProjection extends ICurrencyExchangeRateSpec<Projection> {
}
export interface ICurrencyExchangeRateSort extends ICurrencyExchangeRateSpec<Sort> {
}
