import { ObjectId } from 'mongodb';
import { Projection, Sort } from '../../enum';
import { BaseExtractFields } from '../base.interface';
export interface ICurrencyDocument {
    _id?: ObjectId;
    code: string;
    name: string;
    symbol: string;
    price_fraction_digits: number;
    cost_fraction_digits: number;
    amount_fraction_digits: number;
    format_price_fraction_digits: number;
    format_cost_fraction_digits: number;
    format_amount_fraction_digits: number;
    format?: string;
    is_base: boolean;
    is_active: boolean;
    created_at: Date;
    updated_at?: Date;
}
export interface ICurrencyResult extends Partial<ICurrencyDocument> {
}
export interface ICurrencySpec<T> extends Partial<Record<keyof ICurrencyDocument, T>> {
}
export interface ICurrencyInfo extends Omit<ICurrencyDocument, BaseExtractFields> {
}
export interface ICurrencyUpdateDocument extends ICurrencyResult {
}
export interface ICurrencyFilter extends ICurrencyResult {
}
export interface ICurrencyProjection extends ICurrencySpec<Projection> {
}
export interface ICurrencySort extends ICurrencySpec<Sort> {
}
