import { ObjectId } from 'mongodb';
import { DocumentNoSeriesInvoiceTypeCode, DocumentNoSeriesTypeCode, Projection, Sort } from '../../enum';
import { BaseExtractFields } from '../base.interface';
export interface IDocumentNoSeriesDocument {
    _id?: ObjectId;
    branch_id: ObjectId;
    type_code: DocumentNoSeriesTypeCode;
    invoice_type_code?: DocumentNoSeriesInvoiceTypeCode;
    prefix: string;
    no_digit: number;
    starting_no: number;
    increment_by: number;
    last_used_no: number;
    is_date_as_invoice?: boolean;
    is_auto_daily_reset?: boolean;
    is_custom?: boolean;
    is_active: boolean;
    created_at: Date;
    created_by: ObjectId;
    updated_at?: Date;
    updated_by: ObjectId;
}
export interface IDocumentNoSeriesResult extends Partial<IDocumentNoSeriesDocument> {
}
export interface IDocumentNoSeriesSpec<T> extends Partial<Record<keyof IDocumentNoSeriesDocument, T>> {
}
export interface IDocumentNoSeriesInfo extends Omit<IDocumentNoSeriesDocument, BaseExtractFields> {
}
export interface IDocumentNoSeriesUpdateDocument extends IDocumentNoSeriesResult {
}
export interface IDocumentNoSeriesFilter extends IDocumentNoSeriesResult {
}
export interface IDocumentNoSeriesProjection extends IDocumentNoSeriesSpec<Projection> {
}
export interface IDocumentNoSeriesSort extends IDocumentNoSeriesSpec<Sort> {
}
export interface IDocumentNoSeriesHistoryDocument {
    _id?: ObjectId;
    document_no_series_id: ObjectId;
    branch_id: ObjectId;
    type_code: DocumentNoSeriesTypeCode;
    invoice_type_code?: DocumentNoSeriesInvoiceTypeCode;
    prefix: string;
    no_digit: number;
    starting_no: number;
    increment_by: number;
    last_used_no: number;
    is_date_as_invoice?: boolean;
    is_auto_daily_reset?: boolean;
    is_custom?: boolean;
    created_at: Date;
}
export interface IDocumentNoSeriesHistoryResult extends Partial<IDocumentNoSeriesHistoryDocument> {
}
export interface IDocumentNoSeriesHistorySpec<T> extends Partial<Record<keyof IDocumentNoSeriesHistoryDocument, T>> {
}
export interface IDocumentNoSeriesHistoryInfo extends Omit<IDocumentNoSeriesHistoryDocument, BaseExtractFields> {
}
export interface IDocumentNoSeriesHistoryFilter extends IDocumentNoSeriesHistoryResult {
}
export interface IDocumentNoSeriesHistoryProjection extends IDocumentNoSeriesHistorySpec<Projection> {
}
export interface IDocumentNoSeriesHistorySort extends IDocumentNoSeriesHistorySpec<Sort> {
}
export interface IConfigDocumentNoSeriesDocument {
    _id?: ObjectId;
    document_no_series_id: ObjectId;
    year: number;
    branch_id: ObjectId;
    prefix: string;
    no_digit: number;
    starting_no: number;
    increment_by: number;
    last_used_no: number;
    is_date_as_invoice?: boolean;
    is_auto_daily_reset?: boolean;
    created_at: Date;
}
export interface IConfigDocumentNoSeriesResult extends Partial<IConfigDocumentNoSeriesDocument> {
}
export interface IConfigDocumentSeriesSpec<T> extends Partial<Record<keyof IConfigDocumentNoSeriesDocument, T>> {
}
export interface IConfigDocumentNoSeriesInfo extends Omit<IConfigDocumentNoSeriesDocument, BaseExtractFields> {
}
export interface IConfigDocumentNoSeriesUpdateDocument extends IConfigDocumentNoSeriesResult {
}
export interface IConfigDocumentNoSeriesFilter extends IConfigDocumentNoSeriesResult {
}
export interface IConfigDocumentNoSeriesProjection extends IConfigDocumentSeriesSpec<Projection> {
}
export interface IConfigDocumentNoSeriesSort extends IConfigDocumentSeriesSpec<Sort> {
}
