import { ObjectId, Sort } from 'mongodb';
import { InventoryItemTrackingDocumentType, Projection, PurchaseDocumentTypeCode, SalesDocumentTypeCode } from '../../enum';
import { BaseExtractFields } from '../base.interface';
export interface IItemTracking {
    tracking_no: string;
    expire_date?: Date;
    quantity_handled: number;
}
export interface IItemTrackingTransientLineDocuments {
    line_id: ObjectId;
    item_id: ObjectId;
    items_tracking: IItemTracking[];
}
export interface IItemTrackingTransientDocument {
    _id?: ObjectId;
    company_id: ObjectId;
    branch_id: ObjectId;
    document_id: ObjectId;
    document_no: string;
    line_documents: IItemTrackingTransientLineDocuments[];
    info?: any;
}
export interface IPurchaseItemTrackingTransientDocument extends IItemTrackingTransientDocument {
    document_type: PurchaseDocumentTypeCode;
}
export interface IPurchaseItemTrackingTransientResult extends Partial<IPurchaseItemTrackingTransientDocument> {
}
export interface IPurchaseItemTrackingTransientSpec<T> extends Partial<Record<keyof IPurchaseItemTrackingTransientDocument, T>> {
}
export interface IPurchaseItemTrackingTransientInfo extends Omit<IPurchaseItemTrackingTransientDocument, BaseExtractFields> {
}
export interface IPurchaseItemTrackingTransientUpdateDocument extends IPurchaseItemTrackingTransientResult {
}
export interface IPurchaseItemTrackingTransientFilter extends IPurchaseItemTrackingTransientResult {
}
export interface IPurchaseItemTrackingTransientProjection extends IPurchaseItemTrackingTransientSpec<Projection> {
}
export interface IPurchaseItemTrackingTransientSort extends IPurchaseItemTrackingTransientSpec<Sort> {
}
export interface ISalesItemTrackingTransientDocument extends IItemTrackingTransientDocument {
    document_type: SalesDocumentTypeCode;
}
export interface ISalesItemTrackingTransientResult extends Partial<ISalesItemTrackingTransientDocument> {
}
export interface ISalesItemTrackingTransientSpec<T> extends Partial<Record<keyof ISalesItemTrackingTransientDocument, T>> {
}
export interface ISalesItemTrackingTransientInfo extends Omit<ISalesItemTrackingTransientDocument, BaseExtractFields> {
}
export interface ISalesItemTrackingTransientUpdateDocument extends ISalesItemTrackingTransientResult {
}
export interface ISalesItemTrackingTransientFilter extends ISalesItemTrackingTransientResult {
}
export interface ISalesItemTrackingTransientProjection extends ISalesItemTrackingTransientSpec<Projection> {
}
export interface ISalesItemTrackingTransientSort extends ISalesItemTrackingTransientSpec<Sort> {
}
export interface IInventoryItemTrackingTransientDocument extends IItemTrackingTransientDocument {
    document_type: InventoryItemTrackingDocumentType;
}
export interface IInventoryItemTrackingTransientResult extends Partial<IInventoryItemTrackingTransientDocument> {
}
export interface IInventoryItemTrackingTransientSpec<T> extends Partial<Record<keyof IInventoryItemTrackingTransientDocument, T>> {
}
export interface IInventoryItemTrackingTransientInfo extends Omit<IInventoryItemTrackingTransientDocument, BaseExtractFields> {
}
export interface IInventoryItemTrackingTransientUpdateDocument extends IInventoryItemTrackingTransientResult {
}
export interface IInventoryItemTrackingTransientFilter extends IInventoryItemTrackingTransientResult {
}
export interface IInventoryItemTrackingTransientProjection extends IInventoryItemTrackingTransientSpec<Projection> {
}
export interface IInventoryItemTrackingTransientSort extends IInventoryItemTrackingTransientSpec<Sort> {
}
