import { ObjectId } from 'mongodb';
import { PaymentMethodTypeCode, Projection, Sort } from '../../enum';
import { BaseExtractFields } from '../base.interface';
export interface IPaymentMethodDocument {
    _id?: ObjectId;
    name: string;
    description?: string;
    type_code: PaymentMethodTypeCode;
    bank_account_id?: ObjectId;
    image?: string;
    has_transaction: boolean;
    is_active: boolean;
    created_at: Date;
    created_by: ObjectId;
    updated_at?: Date;
    updated_by: ObjectId;
}
export interface IPaymentMethodResult extends Partial<IPaymentMethodDocument> {
}
export interface IPaymentMethodSpec<T> extends Partial<Record<keyof IPaymentMethodDocument, T>> {
}
export interface IPaymentMethodInfo extends Omit<IPaymentMethodDocument, BaseExtractFields> {
}
export interface IPaymentMethodUpdateDocument extends IPaymentMethodResult {
}
export interface IPaymentMethodFilter extends IPaymentMethodResult {
}
export interface IPaymentMethodProjection extends IPaymentMethodSpec<Projection> {
}
export interface IPaymentMethodSort extends IPaymentMethodSpec<Sort> {
}
