import { ObjectId } from 'mongodb';
import { Projection, Sort } from '../../enum';
import { BaseExtractFields } from '../base.interface';
export interface IPaymentTermDocument {
    _id?: ObjectId;
    name: string;
    num_of_day: number;
    discount_percentage: number;
    has_transaction: boolean;
    is_active: boolean;
    created_at: Date;
    created_by: ObjectId;
    updated_at?: Date;
    updated_by: ObjectId;
}
export interface IPaymentTermResult extends Partial<IPaymentTermDocument> {
}
export interface IPaymentTermSpec<T> extends Partial<Record<keyof IPaymentTermDocument, T>> {
}
export interface IPaymentTermInfo extends Omit<IPaymentTermDocument, BaseExtractFields> {
}
export interface IPaymentTermUpdateDocument extends IPaymentTermResult {
}
export interface IPaymentTermFilter extends IPaymentTermResult {
}
export interface IPaymentTermProjection extends IPaymentTermSpec<Projection> {
}
export interface IPaymentTermSort extends IPaymentTermSpec<Sort> {
}
