import { ObjectId } from 'mongodb';
import { BaseExtractFields } from '..';
import { Projection, Sort, TaskQueueDocumentTypeCode, TaskQueueStatusCode } from '../../enum';
export interface ITaskQueueDocument {
    _id?: ObjectId;
    app_id: string;
    company_id: ObjectId;
    branch_id: ObjectId;
    document_id: ObjectId;
    type_code: TaskQueueDocumentTypeCode;
    info?: any;
    status_code: TaskQueueStatusCode;
    created_at: Date;
    created_by: ObjectId;
    updated_at?: Date;
    updated_by?: ObjectId;
}
export interface ITaskQueueResult extends Partial<ITaskQueueDocument> {
}
export interface ITaskQueueSpec<T> extends Partial<Record<keyof ITaskQueueDocument, T>> {
}
export interface ITaskQueueInfo extends Omit<ITaskQueueDocument, BaseExtractFields> {
}
export interface ITaskQueueUpdateDocument extends ITaskQueueResult {
}
export interface ITaskQueueFilter extends ITaskQueueResult {
}
export interface ITaskQueueProjection extends ITaskQueueSpec<Projection> {
}
export interface ITaskQueueSort extends ITaskQueueSpec<Sort> {
}
