import { ObjectId } from 'mongodb';
import { Projection, Sort, TaxType, TaxTypeCode } from '../../enum';
import { BaseExtractFields } from '../base.interface';
export interface ITaxDocument {
    _id?: ObjectId;
    name: string;
    rate: number;
    type: TaxType;
    type_code: TaxTypeCode;
    is_active: boolean;
    created_at: Date;
    created_by: ObjectId;
    updated_at?: Date;
    updated_by: ObjectId;
}
export interface ITaxResult extends Partial<ITaxDocument> {
}
export interface ITaxSpec<T> extends Partial<Record<keyof ITaxDocument, T>> {
}
export interface ITaxInfo extends Omit<ITaxDocument, BaseExtractFields> {
}
export interface ITaxUpdateDocument extends ITaxResult {
}
export interface ITaxFilter extends ITaxResult {
}
export interface ITaxProjection extends ITaxSpec<Projection> {
}
export interface ITaxSort extends ITaxSpec<Sort> {
}
