import { ObjectId } from 'mongodb';
import { AdjustmentStatusCode, AdjustmentTypeCode, ItemTypeCode, Projection, Sort } from '../../enum';
import { BaseExtractFields } from '../base.interface';
export interface IInventoryAdjustmentHeaderDocument {
    _id?: ObjectId;
    document_no: string;
    document_date: Date;
    app_id: string;
    branch_id: ObjectId;
    warehouse_id: ObjectId;
    external_document_no?: string;
    reason_id: ObjectId;
    status_code: AdjustmentStatusCode;
    notes?: string;
    created_at: Date;
    created_by: ObjectId;
    updated_at?: Date;
    updated_by: ObjectId;
}
export interface IInventoryAdjustmentHeaderResult extends Partial<IInventoryAdjustmentHeaderDocument> {
}
export interface IInventoryAdjustmentHeaderSpec<T> extends Partial<Record<keyof IInventoryAdjustmentHeaderDocument, T>> {
}
export interface IInventoryAdjustmentHeaderInfo extends Omit<IInventoryAdjustmentHeaderDocument, BaseExtractFields | 'status' | 'status_code'> {
}
export interface IInventoryAdjustmentHeaderUpdateDocument extends IInventoryAdjustmentHeaderResult {
}
export interface IInventoryAdjustmentHeaderFilter extends IInventoryAdjustmentHeaderResult {
}
export interface IInventoryAdjustmentHeaderProjection extends IInventoryAdjustmentHeaderSpec<Projection> {
}
export interface IInventoryAdjustmentHeaderSort extends IInventoryAdjustmentHeaderSpec<Sort> {
}
export interface IInventoryAdjustmentLineDocument {
    _id?: ObjectId;
    document_no: string;
    document_type_code: AdjustmentTypeCode;
    app_id: string;
    branch_id: ObjectId;
    warehouse_id: ObjectId;
    item_type_code: ItemTypeCode;
    item_id: ObjectId;
    item_sku: string;
    variant_id?: ObjectId;
    category_id: ObjectId;
    unit_id: ObjectId;
    unit_name: string;
    unit_factor: number;
    base_unit_id: ObjectId;
    base_unit_name: string;
    base_unit_factor: number;
    quantity: number;
    base_quantity: number;
    cost_price: number;
    base_cost_price: number;
    amount: number;
    notes?: string;
    created_at: Date;
    created_by: ObjectId;
    updated_at?: Date;
    updated_by: ObjectId;
}
export interface IInventoryAdjustmentLineResult extends Partial<IInventoryAdjustmentLineDocument> {
}
export interface IInventoryAdjustmentLineSpec<T> extends Partial<Record<keyof IInventoryAdjustmentLineDocument, T>> {
}
export interface IInventoryAdjustmentLineInfo extends Omit<IInventoryAdjustmentLineDocument, BaseExtractFields> {
}
export interface IInventoryAdjustmentLineUpdateDocument extends IInventoryAdjustmentLineResult {
}
export interface IInventoryAdjustmentLineFilter extends IInventoryAdjustmentLineResult {
}
export interface IInventoryAdjustmentLineProjection extends IInventoryAdjustmentLineSpec<Projection> {
}
export interface IInventoryAdjustmentLineSort extends IInventoryAdjustmentLineSpec<Sort> {
}
