import { ObjectId } from 'mongodb';
import { Projection, Sort } from '../../enum';
import { BaseExtractFields } from '../base.interface';
export interface IItemBrandDocument {
    _id?: ObjectId;
    name: string;
    description?: string;
    image?: string;
    has_transaction?: boolean;
    is_active?: boolean;
    created_at: Date;
    created_by: ObjectId;
    updated_at?: Date;
    updated_by: ObjectId;
}
export interface IItemBrandResult extends Partial<IItemBrandDocument> {
}
export interface IItemBrandSpec<T> extends Partial<Record<keyof IItemBrandDocument, T>> {
}
export interface IItemBrandInfo extends Omit<IItemBrandDocument, BaseExtractFields> {
}
export interface IItemBrandUpdateDocument extends IItemBrandResult {
}
export interface IItemBrandFilter extends IItemBrandResult {
}
export interface IItemBrandProjection extends IItemBrandSpec<Projection> {
}
export interface IItemBrandSort extends IItemBrandSpec<Sort> {
}
