import { ObjectId } from 'mongodb';
import { Projection, Sort } from '../../enum';
import { BaseExtractFields } from '../base.interface';
export interface IItemCategoryDocument {
    _id?: ObjectId;
    name: string;
    description?: string;
    media_id?: string;
    has_transaction?: boolean;
    is_active: boolean;
    created_at: Date;
    created_by: ObjectId;
    updated_at?: Date;
    updated_by?: ObjectId;
}
export interface IItemCategoryResult extends Partial<IItemCategoryDocument> {
}
export interface IItemCategorySpec<T> extends Partial<Record<keyof IItemCategoryDocument, T>> {
}
export interface IItemCategoryInfo extends Omit<IItemCategoryDocument, BaseExtractFields> {
}
export interface IItemCategoryUpdateDocument extends IItemCategoryResult {
}
export interface IItemCategoryFilter extends IItemCategoryResult {
}
export interface IItemCategoryProjection extends IItemCategorySpec<Projection> {
}
export interface IItemCategorySort extends IItemCategorySpec<Sort> {
}
