import { ObjectId } from 'mongodb';
import { Projection, Sort } from '../../enum';
import { BaseExtractFields } from '../base.interface';
export interface IItemModifierDocument {
    _id?: ObjectId;
    source_app_id: string;
    branches: ObjectId[];
    name: string;
    selling_price: number;
    is_active?: boolean;
    created_at: Date;
    created_by: ObjectId;
    updated_at?: Date;
    updated_by: ObjectId;
}
export interface IItemModifierResult extends Partial<IItemModifierDocument> {
}
export interface IItemModifierSpec<T> extends Partial<Record<keyof IItemModifierDocument, T>> {
}
export interface IItemModifierInfo extends Omit<IItemModifierDocument, BaseExtractFields> {
}
export interface IItemModifierUpdateDocument extends IItemModifierResult {
}
export interface IItemModifierFilter extends IItemModifierResult {
}
export interface IItemModifierProjection extends IItemModifierSpec<Projection> {
}
export interface IItemModifierSort extends IItemModifierSpec<Sort> {
}
