import { ObjectId, Sort } from 'mongodb';
import { Projection } from '../../enum';
import { BaseExtractFields } from '../base.interface';
export interface IItemTrackingDocument {
    _id?: ObjectId;
    item_id: ObjectId;
    variant_id: ObjectId;
    warehouse_id: ObjectId;
    unit_id: ObjectId;
    unit_name: string;
    unit_factor: number;
    quantity: number;
    lot_no?: string;
    serial_no?: string;
    expiration_date?: Date;
}
export interface IItemTrackingResult extends Partial<IItemTrackingDocument> {
}
export interface IItemTrackingSpec<T> extends Partial<Record<keyof IItemTrackingDocument, T>> {
}
export interface IItemTrackingInfo extends Omit<IItemTrackingDocument, BaseExtractFields> {
}
export interface IItemTrackingUpdateDocument extends IItemTrackingResult {
}
export interface IItemTrackingFilter extends IItemTrackingResult {
}
export interface IItemTrackingProjection extends IItemTrackingSpec<Projection> {
}
export interface IItemTrackingSort extends IItemTrackingSpec<Sort> {
}
