import { ObjectId, Sort } from 'mongodb';
import { Projection } from '../../enum';
import { BaseExtractFields } from '../base.interface';
export interface IItemWarehouseTrackingDocument {
    _id?: ObjectId;
    item_id: ObjectId;
    variant_id: ObjectId;
    warehouse_id: ObjectId;
    unit_id: ObjectId;
    unit_name: string;
    unit_factor: number;
    stock_on_hand: number;
    expired_stock?: number;
    sale_order_allocation?: number;
    purchase_return_allocation?: number;
    adjustment_allocation?: number;
    transfer_order_allocation?: number;
    reorder_quantity?: number;
    initial_stock?: number;
}
export interface IItemWarehouseTrackingResult extends Partial<IItemWarehouseTrackingDocument> {
}
export interface IItemWarehouseTrackingSpec<T> extends Partial<Record<keyof IItemWarehouseTrackingDocument, T>> {
}
export interface IItemWarehouseTrackingInfo extends Omit<IItemWarehouseTrackingDocument, BaseExtractFields> {
}
export interface IItemWarehouseTrackingUpdateDocument extends IItemWarehouseTrackingResult {
}
export interface IItemWarehouseTrackingFilter extends IItemWarehouseTrackingResult {
}
export interface IItemWarehouseTrackingProjection extends IItemWarehouseTrackingSpec<Projection> {
}
export interface IItemWarehouseTrackingSort extends IItemWarehouseTrackingSpec<Sort> {
}
