import { ObjectId } from 'mongodb';
import { Projection, Sort } from '../../enum';
import { BaseExtractFields } from '../base.interface';
export interface IUOMDocument {
    _id?: ObjectId;
    name: string;
    description?: string;
    factor?: number;
    is_active?: boolean;
    created_at: Date;
    created_by: ObjectId;
    updated_at?: Date;
    updated_by: ObjectId;
}
export interface IUOMResult extends Partial<IUOMDocument> {
}
export interface IUOMSpec<T> extends Partial<Record<keyof IUOMDocument, T>> {
}
export interface IUOMInfo extends Omit<IUOMDocument, BaseExtractFields> {
}
export interface IUOMUpdateDocument extends IUOMResult {
}
export interface IUOMFilter extends IUOMResult {
}
export interface IUOMProjection extends IUOMSpec<Projection> {
}
export interface IUOMSort extends IUOMSpec<Sort> {
}
