import { ObjectId } from 'mongodb';
import { Projection, Sort } from '../../enum';
import { BaseExtractFields } from '../base.interface';
export interface IWarehouseDocument {
    _id?: ObjectId;
    name: string;
    description?: string;
    is_default: boolean;
    is_transit: boolean;
    is_active: boolean;
    has_transaction: boolean;
    created_at: Date;
    created_by: ObjectId;
    updated_at?: Date;
    updated_by: ObjectId;
}
export interface IWarehouseResult extends Partial<IWarehouseDocument> {
}
export interface IWarehouseSpec<T> extends Partial<Record<keyof IWarehouseDocument, T>> {
}
export interface IWarehouseInfo extends Omit<IWarehouseDocument, BaseExtractFields> {
}
export interface IWarehouseUpdateDocument extends IWarehouseResult {
}
export interface IWarehouseFilter extends IWarehouseResult {
}
export interface IWarehouseProjection extends IWarehouseSpec<Projection> {
}
export interface IWarehouseSort extends IWarehouseSpec<Sort> {
}
