import { ObjectId, Sort } from 'mongodb';
import { LoyaltyEntryTypeCode, Projection } from '../../enum';
import { BaseExtractFields } from '../base.interface';
export interface ILoyaltyLedgerEntryDocument {
    _id?: ObjectId;
    branch_id: ObjectId;
    customer_id: ObjectId;
    entry_type_code: LoyaltyEntryTypeCode;
    entry_date: Date;
    document_no: string;
    document_type_code: number;
    exchange_rate: number;
    amount?: number;
    voucher_code?: string;
    expire_date?: Date;
    created_at: Date;
    created_by: ObjectId;
    updated_at?: Date;
    updated_by: ObjectId;
}
export interface ILoyaltyLedgerEntryResult extends Partial<ILoyaltyLedgerEntryDocument> {
}
export interface ILoyaltyLedgerEntrySpec<T> extends Partial<Record<keyof ILoyaltyLedgerEntryDocument, T>> {
}
export interface ILoyaltyLedgerEntryInfo extends Omit<ILoyaltyLedgerEntryDocument, BaseExtractFields> {
}
export interface ILoyaltyLedgerEntryUpdateDocument extends ILoyaltyLedgerEntryResult {
}
export interface ILoyaltyLedgerEntryFilter extends ILoyaltyLedgerEntryResult {
}
export interface ILoyaltyLedgerEntryProjection extends ILoyaltyLedgerEntrySpec<Projection> {
}
export interface ILoyaltyLedgerEntrySort extends ILoyaltyLedgerEntrySpec<Sort> {
}
