import { ObjectId } from 'mongodb';
import { LoyaltyMembershipStatusCode, Projection, Sort } from '../../enum';
import { BaseExtractFields } from '../base.interface';
export interface ILoyaltyMembershipDocument {
    _id?: ObjectId;
    customer_id: ObjectId;
    card_no: string;
    tier_id: ObjectId;
    start_date?: Date;
    expire_date?: Date;
    status_code: LoyaltyMembershipStatusCode;
    created_at: Date;
    created_by: ObjectId;
    updated_at?: Date;
    updated_by: ObjectId;
}
export interface ILoyaltyMembershipResult extends Partial<ILoyaltyMembershipDocument> {
}
export interface ILoyaltyMembershipSpec<T> extends Partial<Record<keyof ILoyaltyMembershipDocument, T>> {
}
export interface ILoyaltyMembershipInfo extends Omit<ILoyaltyMembershipDocument, BaseExtractFields> {
}
export interface ILoyaltyMembershipUpdateDocument extends ILoyaltyMembershipResult {
}
export interface ILoyaltyMembershipFilter extends ILoyaltyMembershipResult {
}
export interface ILoyaltyMembershipProjection extends ILoyaltyMembershipSpec<Projection> {
}
export interface ILoyaltyMembershipSort extends ILoyaltyMembershipSpec<Sort> {
}
