import { ObjectId, Sort } from 'mongodb';
import { Projection } from '../../enum';
import { BaseExtractFields } from '../base.interface';
export interface ILoyaltyPromotionItemDocument {
    _id?: ObjectId;
    promotion_id: ObjectId;
    item_id: ObjectId;
    start_date: Date;
    end_date: Date;
    min_quantity: number;
    discount_percentage: number;
    discount_amount: number;
}
export interface ILoyaltyPromotionItemResult extends Partial<ILoyaltyPromotionItemDocument> {
}
export interface ILoyaltyPromotionItemSpec<T> extends Partial<Record<keyof ILoyaltyPromotionItemDocument, T>> {
}
export interface ILoyaltyPromotionItemInfo extends Omit<ILoyaltyPromotionItemDocument, BaseExtractFields> {
}
export interface ILoyaltyPromotionItemUpdateDocument extends ILoyaltyPromotionItemResult {
}
export interface ILoyaltyPromotionItemFilter extends ILoyaltyPromotionItemResult {
}
export interface ILoyaltyPromotionItemProjection extends ILoyaltyPromotionItemSpec<Projection> {
}
export interface ILoyaltyPromotionItemSort extends ILoyaltyPromotionItemSpec<Sort> {
}
