import { ObjectId, Sort } from 'mongodb';
import { LoyaltyRewardStatusCode, LoyaltyRewardTypeCode, Projection } from '../../enum';
import { BaseExtractFields } from '../base.interface';
export interface ILoyaltyRewardDocument {
    _id?: ObjectId;
    reward_type_code: LoyaltyRewardTypeCode;
    item_id: ObjectId;
    unit_id: ObjectId;
    unit_name: string;
    unit_factor: number;
    unit_price: number;
    start_date?: Date;
    expire_date?: Date;
    has_transaction?: boolean;
    status_code: LoyaltyRewardStatusCode;
    created_at: Date;
    created_by: ObjectId;
    updated_at?: Date;
    updated_by: ObjectId;
}
export interface ILoyaltyRewardResult extends Partial<ILoyaltyRewardDocument> {
}
export interface ILoyaltyRewardSpec<T> extends Partial<Record<keyof ILoyaltyRewardDocument, T>> {
}
export interface ILoyaltyRewardInfo extends Omit<ILoyaltyRewardDocument, BaseExtractFields> {
}
export interface ILoyaltyRewardUpdateDocument extends ILoyaltyRewardResult {
}
export interface ILoyaltyRewardFilter extends ILoyaltyRewardResult {
}
export interface ILoyaltyRewardProjection extends ILoyaltyRewardSpec<Projection> {
}
export interface ILoyaltyRewardSort extends ILoyaltyRewardSpec<Sort> {
}
