import { ObjectId, Sort } from 'mongodb';
import { Projection } from '../../enum';
import { BaseExtractFields } from '../base.interface';
export interface ILoyaltyTierDocument {
    _id?: ObjectId;
    name: string;
    thread_hold: number;
    discount_percentage: number;
    discount_amount: number;
    is_free_shipping?: boolean;
    has_transaction?: boolean;
    created_at: Date;
    created_by: ObjectId;
    updated_at?: Date;
    updated_by: ObjectId;
}
export interface ILoyaltyTierResult extends Partial<ILoyaltyTierDocument> {
}
export interface ILoyaltyTierSpec<T> extends Partial<Record<keyof ILoyaltyTierDocument, T>> {
}
export interface ILoyaltyTierInfo extends Omit<ILoyaltyTierDocument, BaseExtractFields> {
}
export interface ILoyaltyTierUpdateDocument extends ILoyaltyTierResult {
}
export interface ILoyaltyTierFilter extends ILoyaltyTierResult {
}
export interface ILoyaltyTierProjection extends ILoyaltyTierSpec<Projection> {
}
export interface ILoyaltyTierSort extends ILoyaltyTierSpec<Sort> {
}
