import { ObjectId, Sort } from 'mongodb';
import { LoyaltyApplyCustomerCode, LoyaltyApplyItemCode, LoyaltyVoucherLimitTypeCode, LoyaltyVoucherStatusCode, Projection } from '../../enum';
import { BaseExtractFields } from '../base.interface';
export interface ILoyaltyVoucherDocument {
    _id?: ObjectId;
    name: string;
    codes: string[];
    discount_percentage: number;
    discount_amount: number;
    is_free_shipping?: boolean;
    apply_for_customer_code: LoyaltyApplyCustomerCode;
    customer_ids?: ObjectId[];
    customer_group_ids?: ObjectId[];
    apply_for_item_code: LoyaltyApplyItemCode;
    item_ids?: ObjectId[];
    item_categories_ids?: ObjectId[];
    start_date: Date;
    expire_date: Date;
    limit_type_code: LoyaltyVoucherLimitTypeCode;
    limit_usage?: number;
    status_code: LoyaltyVoucherStatusCode;
    created_at: Date;
    created_by: ObjectId;
    updated_at?: Date;
    updated_by: ObjectId;
}
export interface ILoyaltyVoucherResult extends Partial<ILoyaltyVoucherDocument> {
}
export interface ILoyaltyVoucherSpec<T> extends Partial<Record<keyof ILoyaltyVoucherDocument, T>> {
}
export interface ILoyaltyVoucherInfo extends Omit<ILoyaltyVoucherDocument, BaseExtractFields> {
}
export interface ILoyaltyVoucherUpdateDocument extends ILoyaltyVoucherResult {
}
export interface ILoyaltyVoucherFilter extends ILoyaltyVoucherResult {
}
export interface ILoyaltyVoucherProjection extends ILoyaltyVoucherSpec<Projection> {
}
export interface ILoyaltyVoucherSort extends ILoyaltyVoucherSpec<Sort> {
}
