import { ObjectId, Sort } from 'mongodb';
import { MediaShareTypeCode, MediaTypeCode, Projection } from '../../enum';
import { BaseExtractFields } from '../base.interface';
export interface IMediaDimension {
    width: number;
    height: number;
}
export interface IMediaDocument {
    _id?: ObjectId;
    app_id: string;
    filename: string;
    type_code: MediaTypeCode;
    mime_type: string;
    dimension?: IMediaDimension;
    size: number;
    dominant_color?: string;
    blur_hash?: string;
    url?: string;
    share_type_code: MediaShareTypeCode;
    created_at: Date;
    created_by: ObjectId;
    updated_at?: Date;
    updated_by: ObjectId;
}
export interface IMediaResult extends Partial<IMediaDocument> {
}
export interface IMediaSpec<T> extends Partial<Record<keyof IMediaDocument, T>> {
}
export interface IMediaInfo extends Omit<IMediaDocument, BaseExtractFields> {
}
export interface IMediaUpdateDocument extends IMediaResult {
}
export interface IMediaFilter extends IMediaResult {
}
export interface IMediaProjection extends IMediaSpec<Projection> {
}
export interface IMediaSort extends IMediaSpec<Sort> {
}
