import { ObjectId } from 'mongodb';
import { NotificationTypeCode, Projection, Sort } from '../../enum';
import { BaseExtractFields } from '../base.interface';
export interface INotificationMessageDocument {
    _id?: ObjectId;
    app_id: string;
    branch_id: ObjectId;
    type_code: NotificationTypeCode;
    message: any;
    created_at: Date;
    created_by: ObjectId;
    updated_at?: Date;
    updated_by?: ObjectId;
}
export interface INotificationMessageResult extends Partial<INotificationMessageDocument> {
}
export interface INotificationMessageSpec<T> extends Partial<Record<keyof INotificationMessageDocument, T>> {
}
export interface INotificationMessageInfo extends Omit<INotificationMessageDocument, BaseExtractFields> {
}
export interface INotificationMessageUpdateDocument extends INotificationMessageResult {
}
export interface INotificationMessageFilter extends INotificationMessageResult {
}
export interface INotificationMessageProjection extends INotificationMessageSpec<Projection> {
}
export interface INotificationMessageSort extends INotificationMessageSpec<Sort> {
}
