import { ObjectId } from 'mongodb';
import { NotificationTypeCode, Projection, Sort, TaskQueueStatusCode } from '../../enum';
import { BaseExtractFields } from '../base.interface';
export interface INotificationQueueDocument {
    _id?: ObjectId;
    app_id: string;
    company_id: ObjectId;
    branch_id: ObjectId;
    document_id: ObjectId;
    type_code: NotificationTypeCode;
    info: any;
    status_code: TaskQueueStatusCode;
    created_at: Date;
    created_by: ObjectId;
    updated_at?: Date;
    updated_by?: ObjectId;
}
export interface INotificationQueueResult extends Partial<INotificationQueueDocument> {
}
export interface INotificationQueueSpec<T> extends Partial<Record<keyof INotificationQueueDocument, T>> {
}
export interface INotificationQueueInfo extends Omit<INotificationQueueDocument, BaseExtractFields> {
}
export interface INotificationQueueUpdateDocument extends INotificationQueueResult {
}
export interface INotificationQueueFilter extends INotificationQueueResult {
}
export interface INotificationQueueProjection extends INotificationQueueSpec<Projection> {
}
export interface INotificationQueueSort extends INotificationQueueSpec<Sort> {
}
