import { ObjectId } from 'mongodb';
import { Platform, Projection, Sort, StatusCode } from '../../enum';
import { BaseExtractFields } from '../base.interface';
export interface ISubscriberNotificationDocument {
    _id?: ObjectId;
    app_id: string;
    user_id: ObjectId;
    token: string;
    platform: Platform;
    status_code: StatusCode;
    created_at: Date;
    created_by: ObjectId;
    updated_at?: Date;
    updated_by?: ObjectId;
}
export interface ISubscriberNotificationResult extends Partial<ISubscriberNotificationDocument> {
}
export interface ISubscriberNotificationSpec<T> extends Partial<Record<keyof ISubscriberNotificationDocument, T>> {
}
export interface ISubscriberNotificationInfo extends Omit<ISubscriberNotificationDocument, BaseExtractFields> {
}
export interface ISubscriberNotificationUpdateDocument extends ISubscriberNotificationResult {
}
export interface ISubscriberNotificationFilter extends ISubscriberNotificationResult {
}
export interface ISubscriberNotificationProjection extends ISubscriberNotificationSpec<Projection> {
}
export interface ISubscriberNotificationSort extends ISubscriberNotificationSpec<Sort> {
}
