import { ObjectId } from 'mongodb';
import { Projection, Sort } from '../../enum';
import { BaseExtractFields } from '../base.interface';
export interface IUserNotificationDocument {
    _id?: ObjectId;
    user_id: ObjectId;
    app_id: string;
    branch_id: ObjectId;
    notification_message_id: ObjectId;
    seen?: boolean;
    created_at: Date;
    created_by: ObjectId;
    updated_at?: Date;
    updated_by?: ObjectId;
}
export interface IUserNotificationResult extends Partial<IUserNotificationDocument> {
}
export interface IUserNotificationSpec<T> extends Partial<Record<keyof IUserNotificationDocument, T>> {
}
export interface IUserNotificationInfo extends Omit<IUserNotificationDocument, BaseExtractFields> {
}
export interface IUserNotificationUpdateDocument extends IUserNotificationResult {
}
export interface IUserNotificationFilter extends IUserNotificationResult {
}
export interface IUserNotificationProjection extends IUserNotificationSpec<Projection> {
}
export interface IUserNotificationSort extends IUserNotificationSpec<Sort> {
}
