import { ObjectId } from 'mongodb';
import { Projection, Sort } from '../../enum';
import { BaseExtractFields } from '../base.interface';
export interface IAppDeviceDocument {
    _id?: ObjectId;
    app_id: string;
    company_id: ObjectId;
    branch_id: ObjectId;
    code: string;
    created_at: Date;
    created_by: ObjectId;
    updated_at?: Date;
    updated_by: ObjectId;
}
export interface IAppDeviceResult extends Partial<IAppDeviceDocument> {
}
export interface IAppDeviceSpec<T> extends Partial<Record<keyof IAppDeviceDocument, T>> {
}
export interface IAppDeviceInfo extends Omit<IAppDeviceDocument, BaseExtractFields> {
}
export interface IAppDeviceUpdateDocument extends IAppDeviceResult {
}
export interface IAppDeviceFilter extends IAppDeviceResult {
}
export interface IAppDeviceProjection extends IAppDeviceSpec<Projection> {
}
export interface IAppDeviceSort extends IAppDeviceSpec<Sort> {
}
