import { ObjectId } from 'mongodb';
import { Projection, Sort } from '../../enum';
import { BaseExtractFields } from '../base.interface';
export interface IAppSettingCategory {
    _id: ObjectId;
    groups?: ObjectId[];
}
export interface IAppSetting {
    categories: IAppSettingCategory[];
    kds?: {
        order_sounds: boolean;
    };
    reservation?: {
        allow_update_confirmed: boolean;
    };
}
export interface IAppSettingDocument {
    _id?: ObjectId;
    app_id: string;
    branch_id: ObjectId;
    settings: IAppSetting;
    created_at: Date;
    created_by: ObjectId;
    updated_at?: Date;
    updated_by: ObjectId;
}
export interface IAppSettingResult extends Partial<IAppSettingDocument> {
}
export interface IAppSettingSpec<T> extends Partial<Record<keyof IAppSettingDocument, T>> {
}
export interface IAppSettingInfo extends Omit<IAppSettingDocument, BaseExtractFields> {
}
export interface IAppSettingUpdateDocument extends IAppSettingResult {
}
export interface IAppSettingFilter extends IAppSettingResult {
}
export interface IAppSettingProjection extends IAppSettingSpec<Projection> {
}
export interface IAppSettingSort extends IAppSettingSpec<Sort> {
}
