import { ObjectId } from 'mongodb';
import { DeviceStatusCode, Projection, Sort } from '../../enum';
import { BaseExtractFields } from '../base.interface';
export interface IDeviceDocument {
    _id?: ObjectId;
    app_id: string;
    branch_id: ObjectId;
    code: string;
    name: string;
    setting: any;
    status_code: DeviceStatusCode;
    created_at: Date;
    created_by: ObjectId;
    updated_at?: Date;
    updated_by: ObjectId;
}
export interface IDeviceResult extends Partial<IDeviceDocument> {
}
export interface IDeviceSpec<T> extends Partial<Record<keyof IDeviceDocument, T>> {
}
export interface IDeviceInfo extends Omit<IDeviceDocument, BaseExtractFields> {
}
export interface IDeviceUpdateDocument extends IDeviceResult {
}
export interface IDeviceFilter extends IDeviceResult {
}
export interface IDeviceProjection extends IDeviceSpec<Projection> {
}
export interface IDeviceSort extends IDeviceSpec<Sort> {
}
