import { ObjectId } from 'mongodb';
import { FloorPlanStatusCode, Projection, Sort } from '../../enum';
import { BaseExtractFields } from '../base.interface';
export interface IFloorPlanDocument {
    _id?: ObjectId;
    app_id: string;
    branch_id: ObjectId;
    name: string;
    media_id?: ObjectId;
    has_transaction: boolean;
    status_code: FloorPlanStatusCode;
    created_at: Date;
    created_by: ObjectId;
    updated_at?: Date;
    updated_by: ObjectId;
}
export interface IFloorPlanResult extends Partial<IFloorPlanDocument> {
}
export interface IFloorPlanSpec<T> extends Partial<Record<keyof IFloorPlanDocument, T>> {
}
export interface IFloorPlanInfo extends Omit<IFloorPlanDocument, BaseExtractFields> {
}
export interface IFloorPlanUpdateDocument extends IFloorPlanResult {
}
export interface IFloorPlanFilter extends IFloorPlanResult {
}
export interface IFloorPlanProjection extends IFloorPlanSpec<Projection> {
}
export interface IFloorPlanSort extends IFloorPlanSpec<Sort> {
}
