import { ObjectId } from 'mongodb';
import { KDSOrderStatusCode, Projection, Sort } from '../../enum';
import { BaseExtractFields } from '../base.interface';
export interface IKDSOrderDocument {
    _id?: ObjectId;
    app_id: string;
    branch_id: ObjectId;
    order_id: ObjectId;
    order_no: string;
    order_at: Date;
    sales_channel_code: string;
    assign_to?: ObjectId;
    ready_at?: Date;
    status_code: KDSOrderStatusCode;
    created_at: Date;
    created_by: ObjectId;
    updated_at?: Date;
    updated_by: ObjectId;
}
export interface IKDSOrderResult extends Partial<IKDSOrderDocument> {
}
export interface IKDSOrderSpec<T> extends Partial<Record<keyof IKDSOrderDocument, T>> {
}
export interface IKDSOrderInfo extends Omit<IKDSOrderDocument, BaseExtractFields> {
}
export interface IKDSOrderUpdateDocument extends IKDSOrderResult {
}
export interface IKDSOrderFilter extends IKDSOrderResult {
}
export interface IKDSOrderProjection extends IKDSOrderSpec<Projection> {
}
export interface IKDSOrderSort extends IKDSOrderSpec<Sort> {
}
