import { ObjectId } from 'mongodb';
import { POSUserStatusCode, POSUserTypeCode, Projection, Sort } from '../../enum';
import { BaseExtractFields } from '../base.interface';
export interface IPOSUserDocument {
    _id?: ObjectId;
    app_id: string;
    access_branches?: ObjectId[];
    user_id: ObjectId;
    role_id: ObjectId;
    type_code: POSUserTypeCode;
    pin_code: string;
    status_code: POSUserStatusCode;
    created_at: Date;
    created_by: ObjectId;
    updated_at?: Date;
    updated_by: ObjectId;
}
export interface IPOSUserResult extends Partial<IPOSUserDocument> {
}
export interface IPOSUserSpec<T> extends Partial<Record<keyof IPOSUserDocument, T>> {
}
export interface IPOSUserInfo extends Omit<IPOSUserDocument, BaseExtractFields> {
}
export interface IPOSUserUpdateDocument extends IPOSUserResult {
}
export interface IPOSUserFilter extends IPOSUserResult {
}
export interface IPOSUserProjection extends IPOSUserSpec<Projection> {
}
export interface IPOSUserSort extends IPOSUserSpec<Sort> {
}
