import { ObjectId } from 'mongodb';
import { TableStatusCode, Projection, Sort } from '../../enum';
import { BaseExtractFields } from '../base.interface';
export interface ITableDocument {
    _id?: ObjectId;
    app_id: string;
    branch_id: ObjectId;
    floor_plan_id: ObjectId;
    name: string;
    seats?: number;
    has_transaction: boolean;
    status_code: TableStatusCode;
    created_at: Date;
    created_by: ObjectId;
    updated_at?: Date;
    updated_by: ObjectId;
}
export interface ITableResult extends Partial<ITableDocument> {
}
export interface ITableSpec<T> extends Partial<Record<keyof ITableDocument, T>> {
}
export interface ITableInfo extends Omit<ITableDocument, BaseExtractFields> {
}
export interface ITableUpdateDocument extends ITableResult {
}
export interface ITableFilter extends ITableResult {
}
export interface ITableProjection extends ITableSpec<Projection> {
}
export interface ITableSort extends ITableSpec<Sort> {
}
