import { Projection, Sort } from '../../enum';
import { BaseExtractFields } from '../base.interface';
import { IPurchaseHeaderDocument, IPurchaseLineDocument } from './purchase.interface';
export interface IPurchaseOrderHeaderDocument extends IPurchaseHeaderDocument {
    total_received_amount?: number;
    total_invoiced_amount?: number;
    total_shipped_amount?: number;
    total_credit_memo_amount?: number;
}
export interface IPurchaseOrderHeaderResult extends Partial<IPurchaseOrderHeaderDocument> {
}
export interface IPurchaseOrderHeaderSpec<T> extends Partial<Record<keyof IPurchaseOrderHeaderDocument, T>> {
}
export interface IPurchaseOrderHeaderInfo extends Omit<IPurchaseOrderHeaderDocument, BaseExtractFields> {
}
export interface IPurchaseOrderHeaderUpdateDocument extends IPurchaseOrderHeaderResult {
}
export interface IPurchaseOrderHeaderFilter extends IPurchaseOrderHeaderResult {
}
export interface IPurchaseOrderHeaderProjection extends IPurchaseOrderHeaderSpec<Projection> {
}
export interface IPurchaseOrderHeaderSort extends IPurchaseOrderHeaderSpec<Sort> {
}
export interface IPurchaseOrderLineDocument extends IPurchaseLineDocument {
}
export interface IPurchaseOrderLineResult extends Partial<IPurchaseOrderLineDocument> {
}
export interface IPurchaseOrderLineSpec<T> extends Partial<Record<keyof IPurchaseOrderLineDocument, T>> {
}
export interface IPurchaseOrderLineInfo extends Omit<IPurchaseOrderLineDocument, BaseExtractFields> {
}
export interface IPurchaseOrderLineUpdateDocument extends IPurchaseOrderLineResult {
}
export interface IPurchaseOrderLineFilter extends IPurchaseOrderLineResult {
}
export interface IPurchaseOrderLineProjection extends IPurchaseOrderLineSpec<Projection> {
}
export interface IPurchaseOrderLineSort extends IPurchaseOrderLineSpec<Sort> {
}
