import { Projection, Sort } from '../../enum';
import { BaseExtractFields } from '../base.interface';
import { IPurchaseHeaderDocument, IPurchaseLineDocument } from './purchase.interface';
export interface IPurchaseQuoteHeaderDocument extends Omit<IPurchaseHeaderDocument, 'received_status_code' | 'invoiced_status_code' | 'shipped_status_code' | 'credit_memo_status_code'> {
}
export interface IPurchaseQuoteHeaderResult extends Partial<IPurchaseQuoteHeaderDocument> {
}
export interface IPurchaseQuoteHeaderSpec<T> extends Partial<Record<keyof IPurchaseQuoteHeaderDocument, T>> {
}
export interface IPurchaseQuoteHeaderInfo extends Omit<IPurchaseQuoteHeaderDocument, BaseExtractFields | 'document_type' | 'document_type_code' | 'status' | 'status_code'> {
}
export interface IPurchaseQuoteHeaderUpdateDocument extends IPurchaseQuoteHeaderResult {
}
export interface IPurchaseQuoteHeaderFilter extends IPurchaseQuoteHeaderResult {
}
export interface IPurchaseQuoteHeaderProjection extends IPurchaseQuoteHeaderSpec<Projection> {
}
export interface IPurchaseQuoteHeaderSort extends IPurchaseQuoteHeaderSpec<Sort> {
}
export interface IPurchaseQuoteLineDocument extends Omit<IPurchaseLineDocument, 'quantity_to_receive' | 'quantity_received' | 'quantity_to_invoice' | 'quantity_invoiced' | 'quantity_to_ship' | 'quantity_shipped' | 'quantity_to_credit_memo' | 'quantity_credit_memo'> {
}
export interface IPurchaseQuoteLineResult extends Partial<IPurchaseQuoteLineDocument> {
}
export interface IPurchaseQuoteLineSpec<T> extends Partial<Record<keyof IPurchaseQuoteLineDocument, T>> {
}
export interface IPurchaseQuoteLineInfo extends Omit<IPurchaseQuoteLineDocument, BaseExtractFields> {
}
export interface IPurchaseQuoteLineUpdateDocument extends IPurchaseQuoteLineResult {
}
export interface IPurchaseQuoteLineFilter extends IPurchaseQuoteLineResult {
}
export interface IPurchaseQuoteLineProjection extends IPurchaseQuoteLineSpec<Projection> {
}
export interface IPurchaseQuoteLineSort extends IPurchaseQuoteLineSpec<Sort> {
}
