import { ObjectId } from 'mongodb';
import { Projection, Sort } from '../../enum';
import { BaseExtractFields } from '../base.interface';
import { IPerson } from '../general';
export interface IVendorDocument extends IPerson {
    _id?: ObjectId;
    credit_limit?: number;
    outstanding_balance: number;
    outstanding_balance_bcy: number;
    credit_balance: number;
    credit_balance_bcy: number;
}
export interface IVendorResult extends Partial<IVendorDocument> {
}
export interface IVendorSpec<T> extends Partial<Record<keyof IVendorDocument, T>> {
}
export interface IVendorInfo extends Omit<IVendorDocument, BaseExtractFields> {
}
export interface IVendorUpdateDocument extends IVendorResult {
}
export interface IVendorFilter extends IVendorResult {
}
export interface IVendorProjection extends IVendorSpec<Projection> {
}
export interface IVendorSort extends IVendorSpec<Sort> {
}
