import { ObjectId } from 'mongodb';
import { Projection, Sort, PurchaseDocumentTypeCode } from '../../enum';
import { BaseExtractFields } from '../base.interface';
export interface IVendorLedgerEntryDocument {
    _id?: ObjectId;
    app_id: string;
    branch_id: ObjectId;
    vendor_id: ObjectId;
    entry_date: Date;
    posting_date: Date;
    document_no: string;
    document_type_code: PurchaseDocumentTypeCode;
    document_date: Date;
    document_due_date?: Date;
    currency_code: string;
    exchange_rate: number;
    discount_amount: number;
    amount: number;
    amount_due: number;
    payment_amount: number;
    remaining_amount: number;
    is_payment_deposit: boolean;
    created_at: Date;
    created_by: ObjectId;
    updated_at?: Date;
    updated_by: ObjectId;
}
export interface IVendorLedgerEntryResult extends Partial<IVendorLedgerEntryDocument> {
}
export interface IVendorLedgerEntrySpec<T> extends Partial<Record<keyof IVendorLedgerEntryDocument, T>> {
}
export interface IVendorLedgerEntryInfo extends Omit<IVendorLedgerEntryDocument, BaseExtractFields> {
}
export interface IVendorLedgerEntryUpdateDocument extends IVendorLedgerEntryResult {
}
export interface IVendorLedgerEntryFilter extends IVendorLedgerEntryResult {
}
export interface IVendorLedgerEntryProjection extends IVendorLedgerEntrySpec<Projection> {
}
export interface IVendorLedgerEntrySort extends IVendorLedgerEntrySpec<Sort> {
}
