import { ObjectId } from 'mongodb';
import { Projection, Sort, TaxType, TaxTypeCode, VATType } from '../../enum';
import { BaseExtractFields } from '../base.interface';
import { IPerson } from '../general';
export interface ICustomerDocument extends IPerson {
    _id?: ObjectId;
    credit_limit?: number;
    outstanding_balance: number;
    outstanding_balance_bcy: number;
    credit_balance: number;
    credit_balance_bcy: number;
    tax_type: TaxType;
    tax_type_code: TaxTypeCode;
    vat_type: VATType;
    vat_id: ObjectId;
    vat_name: string;
    vat_percentage: number;
    customer_group_id?: ObjectId;
    is_general_customer: boolean;
}
export interface ICustomerResult extends Partial<ICustomerDocument> {
}
export interface ICustomerSpec<T> extends Partial<Record<keyof ICustomerDocument, T>> {
}
export interface ICustomerInfo extends Omit<ICustomerDocument, BaseExtractFields> {
}
export interface ICustomerUpdateDocument extends ICustomerResult {
}
export interface ICustomerFilter extends ICustomerResult {
}
export interface ICustomerProjection extends ICustomerSpec<Projection> {
}
export interface ICustomerSort extends ICustomerSpec<Sort> {
}
