import { ObjectId } from 'mongodb';
import { Projection, SalesDocumentTypeCode, Sort } from '../../enum';
import { BaseExtractFields } from '../base.interface';
export interface ICustomerLedgerEntryDocument {
    _id?: ObjectId;
    app_id: string;
    branch_id: ObjectId;
    customer_id: ObjectId;
    entry_date: Date;
    posting_date: Date;
    document_no: string;
    document_type_code: SalesDocumentTypeCode;
    document_date: Date;
    document_due_date?: Date;
    currency_code: string;
    exchange_rate: number;
    discount_amount: number;
    amount: number;
    amount_due: number;
    cash_receipt_amount: number;
    remaining_amount: number;
    is_cash_receipt_deposit: boolean;
    created_at: Date;
    created_by: ObjectId;
    updated_at?: Date;
    updated_by: ObjectId;
}
export interface ICustomerLedgerEntryResult extends Partial<ICustomerLedgerEntryDocument> {
}
export interface ICustomerLedgerEntrySpec<T> extends Partial<Record<keyof ICustomerLedgerEntryDocument, T>> {
}
export interface ICustomerLedgerEntryInfo extends Omit<ICustomerLedgerEntryDocument, BaseExtractFields> {
}
export interface ICustomerLedgerEntryUpdateDocument extends ICustomerLedgerEntryResult {
}
export interface ICustomerLedgerEntryFilter extends ICustomerLedgerEntryResult {
}
export interface ICustomerLedgerEntryProjection extends ICustomerLedgerEntrySpec<Projection> {
}
export interface ICustomerLedgerEntrySort extends ICustomerLedgerEntrySpec<Sort> {
}
