import { ObjectId } from 'mongodb';
import { Projection, Sort, Status, StatusCode } from '../../enum';
import { BaseExtractFields } from '../base.interface';
export interface ISalesChannelDocument {
    _id?: ObjectId;
    code: string;
    name: string;
    description?: string;
    config?: any;
    status: Status;
    status_code: StatusCode;
    created_by: ObjectId;
    created_at: Date;
    updated_by?: ObjectId;
    updated_at?: Date;
}
export interface ISalesChannelResult extends Partial<ISalesChannelDocument> {
}
export interface ISalesChannelSpec<T> extends Partial<Record<keyof ISalesChannelDocument, T>> {
}
export interface ISalesChannelInfo extends Omit<ISalesChannelDocument, BaseExtractFields> {
}
export interface ISalesChannelUpdateDocument extends ISalesChannelResult {
}
export interface ISalesChannelFilter extends ISalesChannelResult {
}
export interface ISalesChannelProjection extends ISalesChannelSpec<Projection> {
}
export interface ISalesChannelSort extends ISalesChannelSpec<Sort> {
}
