import { ObjectId } from 'mongodb';
import { Projection, SalesLinePriceItemType, SalesLinePriceSaleType, Sort } from '../../enum';
import { BaseExtractFields } from '../base.interface';
export interface ISalesLinePriceDocument {
    _id?: ObjectId;
    item_type: SalesLinePriceItemType;
    item_id?: ObjectId;
    item_sku?: string;
    item_barcode?: string;
    unit_id: ObjectId;
    unit_name: string;
    unit_factor: number;
    sales_type: SalesLinePriceSaleType;
    customer_ids?: ObjectId[];
    customer_group_ids?: ObjectId[];
    min_quantity: number;
    start_date: Date;
    end_date: Date;
    selling_price: number;
    created_at: Date;
    created_by: string;
    updated_at?: Date;
    updated_by: string;
}
export interface ISalesLinePriceResult extends Partial<ISalesLinePriceDocument> {
}
export interface ISalesLinePriceSpec<T> extends Partial<Record<keyof ISalesLinePriceDocument, T>> {
}
export interface ISalesLinePriceInfo extends Omit<ISalesLinePriceDocument, BaseExtractFields> {
}
export interface ISalesLinePriceUpdateDocument extends ISalesLinePriceResult {
}
export interface ISalesLinePriceFilter extends ISalesLinePriceResult {
}
export interface ISalesLinePriceProjection extends ISalesLinePriceSpec<Projection> {
}
export interface ISalesLinePriceSort extends ISalesLinePriceSpec<Sort> {
}
