import { Projection, Sort } from '../../enum';
import { BaseExtractFields } from '../base.interface';
import { ISalesHeaderDocument, ISalesLineDocument } from './sales.interface';
export interface ISalesOrderHeaderDocument extends ISalesHeaderDocument {
    sales_channel_code?: string;
    total_packaged_amount?: number;
    total_shipped_amount?: number;
    total_invoiced_amount?: number;
    total_received_amount?: number;
    total_credit_memo_amount?: number;
}
export interface ISalesOrderHeaderResult extends Partial<ISalesOrderHeaderDocument> {
}
export interface ISalesOrderHeaderSpec<T> extends Partial<Record<keyof ISalesOrderHeaderDocument, T>> {
}
export interface ISalesOrderHeaderInfo extends Omit<ISalesOrderHeaderDocument, BaseExtractFields> {
}
export interface ISalesOrderHeaderUpdateDocument extends ISalesOrderHeaderResult {
}
export interface ISalesOrderHeaderFilter extends ISalesOrderHeaderResult {
}
export interface ISalesOrderHeaderProjection extends ISalesOrderHeaderSpec<Projection> {
}
export interface ISalesOrderHeaderSort extends ISalesOrderHeaderSpec<Sort> {
}
export interface ISalesOrderLineDocument extends ISalesLineDocument {
    sales_channel_code?: string;
}
export interface ISalesOrderLineResult extends Partial<ISalesOrderLineDocument> {
}
export interface ISalesOrderLineSpec<T> extends Partial<Record<keyof ISalesOrderLineDocument, T>> {
}
export interface ISalesOrderLineInfo extends Omit<ISalesOrderLineDocument, BaseExtractFields> {
}
export interface ISalesOrderLineUpdateDocument extends ISalesOrderLineResult {
}
export interface ISalesOrderLineFilter extends ISalesOrderLineResult {
}
export interface ISalesOrderLineProjection extends ISalesOrderLineSpec<Projection> {
}
export interface ISalesOrderLineSort extends ISalesOrderLineSpec<Sort> {
}
