import { Projection, Sort } from '../../enum';
import { BaseExtractFields } from '../base.interface';
import { ISalesHeaderDocument, ISalesLineDocument } from './sales.interface';
export interface ISalesQuoteHeaderDocument extends Omit<ISalesHeaderDocument, 'package_status_code' | 'received_status_code' | 'invoiced_status_code' | 'shipped_status_code' | 'credit_memo_status_code'> {
}
export interface ISalesQuoteHeaderResult extends Partial<ISalesQuoteHeaderDocument> {
}
export interface ISalesQuoteHeaderSpec<T> extends Partial<Record<keyof ISalesQuoteHeaderDocument, T>> {
}
export interface ISalesQuoteHeaderInfo extends Omit<ISalesQuoteHeaderDocument, BaseExtractFields> {
}
export interface ISalesQuoteHeaderUpdateDocument extends ISalesQuoteHeaderResult {
}
export interface ISalesQuoteHeaderFilter extends ISalesQuoteHeaderResult {
}
export interface ISalesQuoteHeaderProjection extends ISalesQuoteHeaderSpec<Projection> {
}
export interface ISalesQuoteHeaderSort extends ISalesQuoteHeaderSpec<Sort> {
}
export interface ISalesQuoteLineDocument extends Omit<ISalesLineDocument, 'quantity_to_package' | 'quantity_packaged' | 'quantity_to_receive' | 'quantity_received' | 'quantity_to_invoice' | 'quantity_invoiced' | 'quantity_to_ship' | 'quantity_shipped' | 'quantity_to_credit_memo' | 'quantity_credit_memo'> {
}
export interface ISalesQuoteLineResult extends Partial<ISalesQuoteLineDocument> {
}
export interface ISalesQuoteLineSpec<T> extends Partial<Record<keyof ISalesQuoteLineDocument, T>> {
}
export interface ISalesQuoteLineInfo extends Omit<ISalesQuoteLineDocument, BaseExtractFields> {
}
export interface ISalesQuoteLineUpdateDocument extends ISalesQuoteLineResult {
}
export interface ISalesQuoteLineFilter extends ISalesQuoteLineResult {
}
export interface ISalesQuoteLineProjection extends ISalesQuoteLineSpec<Projection> {
}
export interface ISalesQuoteLineSort extends ISalesQuoteLineSpec<Sort> {
}
