import { ObjectId } from 'mongodb';
import { Projection, Sort } from '../../enum';
import { BaseExtractFields } from '../base.interface';
export interface ISalespersonDocument {
    _id?: ObjectId;
    branch_id: ObjectId;
    code: string;
    name: string;
    email?: string;
    contact_no?: string[];
    photo?: string;
    is_active: boolean;
    has_transaction: boolean;
    created_at: Date;
    created_by: ObjectId;
    updated_at?: Date;
    updated_by: ObjectId;
}
export interface ISalespersonResult extends Partial<ISalespersonDocument> {
}
export interface ISalespersonSpec<T> extends Partial<Record<keyof ISalespersonDocument, T>> {
}
export interface ISalespersonInfo extends Omit<ISalespersonDocument, BaseExtractFields> {
}
export interface ISalespersonUpdateDocument extends ISalespersonResult {
}
export interface ISalespersonFilter extends ISalespersonResult {
}
export interface ISalespersonProjection extends ISalespersonSpec<Projection> {
}
export interface ISalespersonSort extends ISalespersonSpec<Sort> {
}
