import { ObjectId } from 'mongodb';
import { Projection, Sort } from '../enum';
import { BaseExtractFields } from './base.interface';
export interface ISetupDocument {
    _id?: ObjectId;
    name: string;
    description?: string;
    has_transaction: boolean;
    is_active: boolean;
    created_at: Date;
    created_by: ObjectId;
    updated_at?: Date;
    updated_by?: ObjectId;
}
export interface ISetupResult extends Partial<ISetupDocument> {
}
export interface ISetupSpec<T> extends Partial<Record<keyof ISetupDocument, T>> {
}
export interface ISetupInfo extends Omit<ISetupDocument, BaseExtractFields> {
}
export interface ISetupUpdateDocument extends ISetupResult {
}
export interface ISetupFilter extends ISetupResult {
}
export interface ISetupProjection extends ISetupSpec<Projection> {
}
export interface ISetupSort extends ISetupSpec<Sort> {
}
