import { ObjectId } from 'mongodb';
import { Projection, Sort, SubscriptionPricingSchemeCode, BillingCycleCode } from '../../enum';
import { BaseExtractFields } from '../base.interface';
export interface ISubscriptionAddonDocument {
    _id?: ObjectId;
    item_id: ObjectId;
    code: string;
    name: string;
    description?: string;
    unit_id: ObjectId;
    unit_name: string;
    unit_factor: number;
    category_id: ObjectId;
    billing_cycle_code: BillingCycleCode;
    type?: string;
    pricing_scheme_code: SubscriptionPricingSchemeCode;
    selling_price: number;
    has_transaction: boolean;
    is_active: boolean;
    created_at: Date;
    created_by: ObjectId;
    updated_at?: Date;
    updated_by: ObjectId;
}
export interface ISubscriptionAddonResult extends Partial<ISubscriptionAddonDocument> {
}
export interface ISubscriptionAddonSpec<T> extends Partial<Record<keyof ISubscriptionAddonDocument, T>> {
}
export interface ISubscriptionAddonInfo extends Omit<ISubscriptionAddonDocument, BaseExtractFields> {
}
export interface ISubscriptionAddonUpdateDocument extends ISubscriptionAddonResult {
}
export interface ISubscriptionAddonFilter extends ISubscriptionAddonResult {
}
export interface ISubscriptionAddonProjection extends ISubscriptionAddonSpec<Projection> {
}
export interface ISubscriptionAddonSort extends ISubscriptionAddonSpec<Sort> {
}
