import { ObjectId } from 'mongodb';
import { Projection, Sort, SubscriptionEventSourceCode, SubscriptionEventTypeCode } from '../../enum';
import { BaseExtractFields } from '../base.interface';
export interface ISubscriptionEventWebhook {
    _id: ObjectId;
    url: string;
    res_http_status_code: number;
    last_updated_at: Date;
}
export interface ISubscriptionEventDocument {
    _id?: ObjectId;
    event_date: Date;
    event_type_code: SubscriptionEventTypeCode;
    event_source_code: SubscriptionEventSourceCode;
    request_count: number;
    payload: any;
    webhook?: ISubscriptionEventWebhook;
    created_at: Date;
    created_by: ObjectId;
    updated_at?: Date;
    updated_by: ObjectId;
}
export interface ISubscriptionEventResult extends Partial<ISubscriptionEventDocument> {
}
export interface ISubscriptionEventSpec<T> extends Partial<Record<keyof ISubscriptionEventDocument, T>> {
}
export interface ISubscriptionEventInfo extends Omit<ISubscriptionEventDocument, BaseExtractFields | 'event_date'> {
    event_date: string;
}
export interface ISubscriptionEventUpdateDocument extends ISubscriptionEventResult {
}
export interface ISubscriptionEventFilter extends ISubscriptionEventResult {
}
export interface ISubscriptionEventProjection extends ISubscriptionEventSpec<Projection> {
}
export interface ISubscriptionEventSort extends ISubscriptionEventSpec<Sort> {
}
