import { ObjectId } from 'mongodb';
import { Projection, Sort, BillingCycleCode } from '../../enum';
import { BaseExtractFields } from '../base.interface';
export interface ISubscriptionPlanAddon {
    _id: ObjectId;
    addon_id: ObjectId;
    billing_cycle_code?: BillingCycleCode;
    unit_id: ObjectId;
    unit_name: string;
    unit_factor: number;
    quantity: number;
    selling_price: number;
}
export interface ISubscriptionPricingPlanDocument {
    _id?: ObjectId;
    item_id: ObjectId;
    product_id: ObjectId;
    code: string;
    name: string;
    description: string;
    unit_id: ObjectId;
    unit_name: string;
    unit_factor: number;
    selling_price: number;
    billing_interval_code: string;
    billing_cycle_code?: BillingCycleCode;
    trial_period?: number;
    is_default: boolean;
    addons: ISubscriptionPlanAddon[];
    total_amount_addon: number;
    total_amount: number;
    image?: string;
    has_transaction: boolean;
    is_active: boolean;
    created_at: Date;
    created_by: ObjectId;
    updated_at?: Date;
    updated_by: ObjectId;
}
export interface ISubscriptionPricingPlanResult extends Partial<ISubscriptionPricingPlanDocument> {
}
export interface ISubscriptionPricingPlanSpec<T> extends Partial<Record<keyof ISubscriptionPricingPlanDocument, T>> {
}
export interface ISubscriptionPricingPlanInfo extends Omit<ISubscriptionPricingPlanDocument, BaseExtractFields> {
}
export interface ISubscriptionPricingPlanUpdateDocument extends ISubscriptionPricingPlanResult {
}
export interface ISubscriptionPricingPlanFilter extends ISubscriptionPricingPlanResult {
}
export interface ISubscriptionPricingPlanProjection extends ISubscriptionPricingPlanSpec<Projection> {
}
export interface ISubscriptionPricingPlanSort extends ISubscriptionPricingPlanSpec<Sort> {
}
