import { ObjectId } from 'mongodb';
import { Projection, Sort } from '../../enum';
import { BaseExtractFields } from '../base.interface';
export interface ISubscriptionProductDocument {
    _id?: ObjectId;
    item_variant_id?: ObjectId;
    code: string;
    name: string;
    description?: string;
    category_id: ObjectId;
    type?: string;
    notify_email?: string;
    grace_period?: number;
    image?: string;
    has_transaction: boolean;
    is_active: boolean;
    created_at: Date;
    created_by: ObjectId;
    updated_at?: Date;
    updated_by: ObjectId;
}
export interface ISubscriptionProductResult extends Partial<ISubscriptionProductDocument> {
}
export interface ISubscriptionProductSpec<T> extends Partial<Record<keyof ISubscriptionProductDocument, T>> {
}
export interface ISubscriptionProductInfo extends Omit<ISubscriptionProductDocument, BaseExtractFields> {
}
export interface ISubscriptionProductUpdateDocument extends ISubscriptionProductResult {
}
export interface ISubscriptionProductFilter extends ISubscriptionProductResult {
}
export interface ISubscriptionProductProjection extends ISubscriptionProductSpec<Projection> {
}
export interface ISubscriptionProductSort extends ISubscriptionProductSpec<Sort> {
}
