import { ObjectId } from 'mongodb';
import { Projection, Sort } from '../../enum';
export interface IActivityLogDocument {
    _id?: ObjectId;
    source_id: ObjectId;
    source: string;
    user_id: ObjectId;
    username: string;
    comment: string;
    description: string;
    action_type: string;
    created_at: Date;
}
export interface IActivityLogResult extends Partial<IActivityLogDocument> {
}
export interface IActivityLogSpec<T> extends Partial<Record<keyof IActivityLogDocument, T>> {
}
export interface IActivityLogInfo extends Omit<IActivityLogDocument, '_id' | 'created_at'> {
}
export interface IActivityLogFilter extends IActivityLogResult {
}
export interface IActivityLogProjection extends IActivityLogSpec<Projection> {
}
export interface IActivityLogSort extends IActivityLogSpec<Sort> {
}
