import { ObjectId } from 'mongodb';
import { BaseExtractFields } from '../base.interface';
import { Projection, Sort } from '../../enum';
export interface IBranchDocument {
    _id?: ObjectId;
    company_id: ObjectId;
    name: string;
    slug?: string;
    address?: string;
    register_at: Date;
    warehouse_id: ObjectId;
    warehouse_name: string;
    is_active?: boolean;
    created_at: Date;
    created_by: ObjectId;
    updated_at?: Date;
    updated_by: ObjectId;
}
export interface IBranchResult extends Partial<IBranchDocument> {
}
export interface IBranchSpec<T> extends Partial<Record<keyof IBranchDocument, T>> {
}
export interface IBranchInfo extends Omit<IBranchDocument, BaseExtractFields> {
}
export interface IBranchUpdateDocument extends IBranchResult {
}
export interface IBranchFilter extends IBranchResult {
}
export interface IBranchProjection extends IBranchSpec<Projection> {
}
export interface IBranchSort extends IBranchSpec<Sort> {
}
