import { ObjectId } from 'mongodb';
import { Projection, Sort } from '../../enum';
export interface ICompanyTransactionDocument {
    _id?: ObjectId;
    service_code: string;
    storages: number;
    items: number;
    warehouses: number;
    branches: number;
    sales_orders: number;
    purchase_orders: number;
    is_active: boolean;
    created_at: Date;
    updated_at?: Date;
}
export interface ICompanyTransactionResult extends Partial<ICompanyTransactionDocument> {
}
export interface ICompanyTransactionInfo extends Omit<ICompanyTransactionDocument, '_id' | 'created_at' | 'updated_at'> {
}
export interface ICompanyTransactionSpec<T> extends Partial<Record<keyof ICompanyTransactionResult, T>> {
}
export interface ICompanyTransactionFilter extends ICompanyTransactionResult {
}
export interface ICompanyTransactionProjection extends ICompanyTransactionSpec<Projection> {
}
export interface ICompanyTransactionSort extends ICompanyTransactionSpec<Sort> {
}
export interface ICompanyTransactionUpdateDocument extends ICompanyTransactionSpec<Sort> {
}
