import { ObjectId } from 'mongodb';
import { Projection, Sort } from '../../enum';
export interface IDashboardDocument {
    _id?: ObjectId;
    name: string;
    icon?: string;
    index: number;
    is_allowed?: boolean;
    is_active: boolean;
}
export interface IDashboardResult extends Partial<IDashboardDocument> {
}
export interface IDashboardSpec<T> extends Partial<Record<keyof IDashboardDocument, T>> {
}
export interface IDashboardUpdateDocument extends IDashboardResult {
}
export interface IDashboardFilter extends IDashboardResult {
}
export interface IDashboardProjection extends IDashboardSpec<Projection> {
}
export interface IDashboardSort extends IDashboardSpec<Sort> {
}
