import { ObjectId } from 'mongodb';
import { Projection, Sort } from '../../enum';
export interface IField {
    name?: string;
    display_name?: string;
    type?: string;
    range?: number;
    is_default?: boolean;
    is_visible?: boolean;
    is_render?: boolean;
    align?: string;
    is_filterable?: boolean;
    is_searchable?: boolean;
    is_active?: boolean;
}
export interface IPageFieldResult {
    _id?: ObjectId;
    page_id?: number;
    page_name?: string;
    app_id?: ObjectId;
    fields: IField[];
}
export interface IPageFieldSpec<T> extends Partial<Record<keyof IPageFieldResult, T>> {
}
export interface IPageFieldFilter extends IPageFieldResult {
}
export interface IPageFieldProjection extends IPageFieldSpec<Projection> {
}
export interface IPageFieldSort extends IPageFieldSpec<Sort> {
}
