import { ObjectId } from 'mongodb';
import { Projection, Sort } from '../../enum';
export interface IReport {
    _id?: ObjectId;
    code: number;
    name: string;
    url: string;
    index: number;
    is_active?: boolean;
}
export interface IReportGroupDocument {
    _id?: ObjectId;
    app_id: string;
    code: number;
    name: string;
    icon: string;
    index: number;
    reports: IReport[];
    is_active: boolean;
}
export interface IReportGroupResult extends Partial<IReportGroupDocument> {
}
export interface IReportGroupSpec<T> extends Partial<Record<keyof IReportGroupDocument, T>> {
}
export interface IReportGroupUpdateDocument extends IReportGroupResult {
}
export interface IReportGroupFilter extends IReportGroupResult {
}
export interface IReportGroupProjection extends IReportGroupSpec<Projection> {
}
export interface IReportGroupSort extends IReportGroupSpec<Sort> {
}
