import { ObjectId } from 'mongodb';
import { Projection } from '../../enum';
export interface IResetPasswordDocument {
    _id?: ObjectId;
    username: string;
    email: string;
    company_uuid: ObjectId;
    company_id: ObjectId;
    token: string;
    invoked: boolean;
    created_at: Date;
    updated_at?: Date;
}
export interface IResetPasswordResult extends Partial<IResetPasswordDocument> {
}
export interface IResetPasswordSpec<T> extends Partial<Record<keyof IResetPasswordDocument, T>> {
}
export interface IResetPasswordInfo {
    username: string;
    email: string;
    company_uuid: ObjectId;
    company_id: ObjectId;
    token?: string;
}
export interface IResetPasswordProjection extends IResetPasswordSpec<Projection> {
}
export interface IResetPasswordFilter extends IResetPasswordResult {
}
export interface IResetPasswordUpdateDocument extends IResetPasswordResult {
}
