import { ObjectId } from 'mongodb';
import { Projection, Sort } from '../../enum';
export interface ISetting {
    _id?: ObjectId;
    name: string;
    key: string;
    icon: string;
    url: string;
    index: number;
    groups?: [
        {
            _id?: ObjectId;
            name: string;
            key: string;
            icon: string;
            url: string;
            index: number;
            is_active: boolean;
        }
    ];
    is_active: boolean;
}
export interface ISettingDocument {
    _id?: ObjectId;
    name: string;
    app_id: string;
    settings: ISetting[];
    is_active: boolean;
}
export interface ISettingResult extends Partial<ISettingDocument> {
}
export interface ISettingSpec<T> extends Partial<Record<keyof ISettingDocument, T>> {
}
export interface ISettingUpdateDocument extends ISettingResult {
}
export interface ISettingFilter extends ISettingResult {
}
export interface ISettingProjection extends ISettingSpec<Projection> {
}
export interface ISettingSort extends ISettingSpec<Sort> {
}
