"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const enum_1 = require("../../enum");
const base_model_1 = __importDefault(require("../base.model"));
class App extends base_model_1.default {
    constructor(db) {
        super(db, enum_1.Collections.App);
    }
    make(info) {
        return {
            sub_product_code: info.sub_product_code,
            sub_pricing_plan_code: info.sub_pricing_plan_code,
            feature: info.feature,
            accessible: info.accessible,
            status_code: info.status_code,
            created_at: new Date(),
            created_by: info.created_by,
            updated_at: null,
            updated_by: null,
        };
    }
    status(code) {
        switch (code) {
            case enum_1.ISubscriptionStatusCode.Pending:
                return enum_1.ISubscriptionStatus.Pending;
            case enum_1.ISubscriptionStatusCode.Active:
                return enum_1.ISubscriptionStatus.Active;
            case enum_1.ISubscriptionStatusCode.Suspended:
                return enum_1.ISubscriptionStatus.Suspended;
            case enum_1.ISubscriptionStatusCode.Expired:
                return enum_1.ISubscriptionStatus.Expired;
            default:
                break;
        }
    }
}
exports.default = App;
//# sourceMappingURL=app.model.js.map