import { Db } from 'mongodb';
import Model from '../base.model';
import { ApprovalDocumentType, ApprovalDocumentTypeCode, ApprovalStatus, ApprovalStatusCode } from '../../enum';
import { IApprovalRequestDocument, IApprovalRequestResult, IApprovalRequestFilter, IApprovalRequestProjection, IApprovalRequestSort, IApprovalRequestUpdateDocument, IApprovalRequestInfo } from '../../interfaces';
export default class ApprovalRequest extends Model<IApprovalRequestDocument, IApprovalRequestUpdateDocument, IApprovalRequestFilter, IApprovalRequestProjection, IApprovalRequestResult, IApprovalRequestSort> {
    constructor(db: Db);
    make(info: IApprovalRequestInfo): IApprovalRequestDocument;
    documentType(documentTypeCode: ApprovalDocumentTypeCode): ApprovalDocumentType;
    status(statusCode: ApprovalStatusCode): ApprovalStatus;
}
