"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const mongodb_1 = require("mongodb");
const base_model_1 = __importDefault(require("../base.model"));
const enum_1 = require("../../enum");
class ApprovalSetup extends base_model_1.default {
    constructor(db) {
        super(db, enum_1.Collections.ApprovalSetup);
    }
    make(info) {
        return {
            branch_id: new mongodb_1.ObjectId(info.branch_id),
            approver_id: new mongodb_1.ObjectId(info.approver_id),
            approver_name: info.approver_name,
            delegator_id: info.delegator_id ? new mongodb_1.ObjectId(info.delegator_id) : null,
            delegator_name: info.delegator_name,
            type: info.type,
            type_code: info.type_code,
            level: info.level,
            is_auto_delegate: info.is_auto_delegate,
            status: info.status,
            status_code: info.status_code,
            is_active: info.is_active === undefined ? true : info.is_active,
            created_at: new Date(),
            created_by: info.created_by,
            updated_at: null,
            updated_by: null,
        };
    }
}
exports.default = ApprovalSetup;
//# sourceMappingURL=approval.setup.model.js.map