"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const enum_1 = require("../../enum");
const base_model_1 = __importDefault(require("../base.model"));
class BankAccount extends base_model_1.default {
    constructor(db) {
        super(db, enum_1.Collections.BankAccount);
    }
    make(info) {
        return {
            name: info.name,
            description: info.description || null,
            bank_account_no: info.bank_account_no || null,
            currency_code: info.currency_code || null,
            swift_code: info.swift_code || null,
            last_statement_no: info.last_statement_no || null,
            last_ending_amount: info.last_ending_amount || 0,
            has_transaction: false,
            is_active: info.is_active,
            created_at: new Date(),
            created_by: info.created_by,
            updated_at: null,
            updated_by: null,
        };
    }
}
exports.default = BankAccount;
//# sourceMappingURL=bank.account.model.js.map