"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const mongodb_1 = require("mongodb");
const base_model_1 = __importDefault(require("../base.model"));
const enum_1 = require("../../enum");
const utils_1 = require("../../utils");
class BankReconcile extends base_model_1.default {
    constructor(db) {
        super(db, enum_1.Collections.BankReconcile);
    }
    make(info) {
        return {
            app_id: info.app_id,
            branch_id: new mongodb_1.ObjectId(info.branch_id),
            bank_account_id: new mongodb_1.ObjectId(info.bank_account_id),
            reconcile_date: (0, utils_1.utcDateOnly)(info.reconcile_date),
            reconcile_amount: info.reconcile_amount,
            reconcile_by_id: new mongodb_1.ObjectId(info.reconcile_by_id),
            created_at: new Date(),
            created_by: info.created_by,
            updated_at: null,
            updated_by: null,
        };
    }
}
exports.default = BankReconcile;
//# sourceMappingURL=bank.reconcile.model.js.map