"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const mongodb_1 = require("mongodb");
const enum_1 = require("../../enum");
const base_model_1 = __importDefault(require("../base.model"));
class ConfigDocumentNoSeries extends base_model_1.default {
    constructor(db) {
        super(db, enum_1.Collections.ConfigDocumentNoSeries);
    }
    make(info) {
        return {
            document_no_series_id: new mongodb_1.ObjectId(info.document_no_series_id),
            year: info.year,
            branch_id: new mongodb_1.ObjectId(info.branch_id),
            prefix: info.prefix,
            no_digit: info.no_digit || 10,
            starting_no: info.starting_no || 0,
            increment_by: info.increment_by || 1,
            last_used_no: info.last_used_no || 0,
            is_date_as_invoice: info.is_date_as_invoice ? info.is_date_as_invoice : false,
            is_auto_daily_reset: info.is_auto_daily_reset ? info.is_auto_daily_reset : false,
            created_at: new Date(),
        };
    }
}
exports.default = ConfigDocumentNoSeries;
//# sourceMappingURL=config.document.no.series.model.js.map