"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const enum_1 = require("../../enum");
const base_model_1 = __importDefault(require("../base.model"));
class Country extends base_model_1.default {
    constructor(db) {
        super(db, enum_1.Collections.Country);
    }
    make(info) {
        return {
            name: info.name,
            description: info.description || null,
            currency_code: info.currency_code,
            currency_name: info.currency_name,
            currency_symbol: info.currency_symbol,
            currency_decimal_place: info.currency_decimal_place,
            currency_decimal_format: info.currency_decimal_format,
            is_active: info.is_active,
            created_at: new Date(),
            updated_at: null,
        };
    }
}
exports.default = Country;
//# sourceMappingURL=country.model.js.map