"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const enum_1 = require("../../enum");
const base_model_1 = __importDefault(require("../base.model"));
const utils_1 = require("../../utils");
class CurrencyExchangeRate extends base_model_1.default {
    constructor(db) {
        super(db, enum_1.Collections.CurrencyExchangeRate);
    }
    make(info) {
        return {
            exchange_currency_code: info.exchange_currency_code,
            exchange_date: (0, utils_1.utcDateOnly)(info.exchange_date),
            rate: info.rate,
            is_current_rate: info.is_current_rate,
            created_at: new Date(),
            created_by: info.created_by,
            updated_at: null,
            updated_by: null,
        };
    }
}
exports.default = CurrencyExchangeRate;
//# sourceMappingURL=currency.exchange.rate.model.js.map