"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const enum_1 = require("../../enum");
const base_model_1 = __importDefault(require("../base.model"));
class Currency extends base_model_1.default {
    constructor(db) {
        super(db, enum_1.Collections.Currency);
    }
    make(info) {
        return {
            code: info.code,
            name: info.name,
            symbol: info.symbol,
            price_fraction_digits: info.price_fraction_digits,
            cost_fraction_digits: info.cost_fraction_digits,
            amount_fraction_digits: info.amount_fraction_digits,
            format_amount_fraction_digits: info.format_amount_fraction_digits,
            format_cost_fraction_digits: info.format_cost_fraction_digits,
            format_price_fraction_digits: info.price_fraction_digits,
            format: info.format,
            is_base: false,
            is_active: true,
            created_at: new Date(),
            updated_at: null,
        };
    }
}
exports.default = Currency;
//# sourceMappingURL=currency.model.js.map