import { Db, ClientSession } from 'mongodb';
import { DocumentNoSeriesInvoiceType, DocumentNoSeriesInvoiceTypeCode, DocumentNoSeriesType, DocumentNoSeriesTypeCode } from '../../enum';
import Model from '../base.model';
import { IDocumentNoSeriesDocument, IDocumentNoSeriesUpdateDocument, IDocumentNoSeriesFilter, IDocumentNoSeriesProjection, IDocumentNoSeriesResult, IDocumentNoSeriesSort, IDocumentNoSeriesInfo } from '../../interfaces';
export default class DocumentNoSeries extends Model<IDocumentNoSeriesDocument, IDocumentNoSeriesUpdateDocument, IDocumentNoSeriesFilter, IDocumentNoSeriesProjection, IDocumentNoSeriesResult, IDocumentNoSeriesSort, any, any> {
    constructor(db: Db);
    generateDocumentNo(typeCode: DocumentNoSeriesTypeCode, branchId: string, isTransaction?: boolean, session?: ClientSession): Promise<string | null>;
    make(info: IDocumentNoSeriesInfo): IDocumentNoSeriesDocument;
    makeUpdate(info: IDocumentNoSeriesInfo): IDocumentNoSeriesUpdateDocument;
    setDocumentNo<T>(documents: Array<any>, documentNo: string, field?: string): Array<T>;
    type(typeCode: DocumentNoSeriesTypeCode): DocumentNoSeriesType;
    invoiceType(invoiceTypeCode: DocumentNoSeriesInvoiceTypeCode): DocumentNoSeriesInvoiceType;
}
