"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const mongodb_1 = require("mongodb");
const enum_1 = require("../../enum");
const base_model_1 = __importDefault(require("../base.model"));
const utils_1 = require("../../utils");
const dayjs_1 = __importDefault(require("dayjs"));
class VatEntry extends base_model_1.default {
    constructor(db) {
        super(db, enum_1.Collections.VATEntry);
    }
    make(info) {
        return {
            app_id: info.app_id,
            branch_id: new mongodb_1.ObjectId(info.branch_id),
            tax_type_code: info.tax_type_code,
            txn_tax_type_code: info.txn_tax_type_code,
            registered_tax_no: info.registered_tax_no,
            document_date: info.document_date,
            posting_date: info.posting_date ? (0, utils_1.utcDateOnly)(info.posting_date) : null,
            tax_invoice_no: info.tax_invoice_no || null,
            document_no: info.document_no,
            document_type_code: info.document_type_code,
            entry_date: (0, utils_1.utcDateOnly)((0, dayjs_1.default)().toString()),
            entry_type_code: info.entry_type_code,
            source_type_code: info.source_type_code,
            source_id: new mongodb_1.ObjectId(info.source_id),
            vat_calculation_type: info.vat_calculation_type,
            currency_code: info.currency_code,
            exchange_rate: info.exchange_rate,
            amount: info.amount,
            amount_bcy: info.amount_bcy,
            is_reversed: info.is_reversed,
            is_settled: false,
            created_at: new Date(),
            created_by: info.created_by,
            updated_at: null,
            updated_by: null,
        };
    }
}
exports.default = VatEntry;
//# sourceMappingURL=vat.entry.model.js.map