import { Db } from 'mongodb';
import { AdjustmentStatus, AdjustmentStatusCode } from '../../enum';
import { IInventoryAdjustmentHeaderDocument, IInventoryAdjustmentHeaderFilter, IInventoryAdjustmentHeaderInfo, IInventoryAdjustmentHeaderProjection, IInventoryAdjustmentHeaderResult, IInventoryAdjustmentHeaderSort, IInventoryAdjustmentHeaderUpdateDocument } from '../../interfaces/inventory/inventory.adjustment.interface';
import Model from '../base.model';
export default class InventoryAdjustmentHeader extends Model<IInventoryAdjustmentHeaderDocument, IInventoryAdjustmentHeaderUpdateDocument, IInventoryAdjustmentHeaderFilter, IInventoryAdjustmentHeaderProjection, IInventoryAdjustmentHeaderResult, IInventoryAdjustmentHeaderSort> {
    constructor(db: Db);
    make(info: IInventoryAdjustmentHeaderInfo): IInventoryAdjustmentHeaderDocument;
    makeUpdate(info: IInventoryAdjustmentHeaderInfo): IInventoryAdjustmentHeaderUpdateDocument;
    status(statusCode: AdjustmentStatusCode): AdjustmentStatus;
}
