"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const mongodb_1 = require("mongodb");
const enum_1 = require("../../enum");
const base_model_1 = __importDefault(require("../base.model"));
class Item extends base_model_1.default {
    constructor(db) {
        super(db, enum_1.Collections.Item);
    }
    make(info) {
        return {
            source_app_id: info.source_app_id,
            sku: info.sku,
            name: info.name,
            description: info.description || null,
            type_code: info.type_code,
            branches: info.branches,
            item_unit_of_measure: info.item_unit_of_measure,
            category_id: new mongodb_1.ObjectId(info.category_id),
            group_id: info.group_id ? new mongodb_1.ObjectId(info.group_id) : null,
            class_id: info.class_id ? new mongodb_1.ObjectId(info.class_id) : null,
            brand_id: info.brand_id ? new mongodb_1.ObjectId(info.brand_id) : null,
            costing_method: info.costing_method,
            tracking_type_code: info.tracking_type_code || 0,
            is_service_item: info.is_service_item,
            is_returnable: info.is_returnable,
            branch_sales_price: info.branch_sales_price,
            allow_for_sales: info.allow_for_sales,
            cost_price: info.cost_price,
            allow_for_purchase: info.allow_for_purchase,
            vat_id: info.vat_id ? new mongodb_1.ObjectId(info.vat_id) : null,
            variant_id: info.variant_id ? new mongodb_1.ObjectId(info.variant_id) : null,
            is_variant: info.is_variant,
            is_variant_default: info.is_variant_default,
            is_composite_item: info.is_composite_item ? info.is_composite_item : false,
            composite_items: info.composite_items || [],
            item_modifier_ids: info.item_modifier_ids || [],
            is_inventory_tracking: info.is_inventory_tracking,
            prevent_negative_inventory: info.prevent_negative_inventory,
            media_id: info.media_id || null,
            sales_channel_codes: info.sales_channel_codes || [],
            has_transaction: false,
            is_active: info.is_active ? info.is_active : true,
            created_at: new Date(),
            created_by: info.created_by,
            updated_at: null,
            updated_by: null,
        };
    }
}
exports.default = Item;
//# sourceMappingURL=item.model.js.map