"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const mongodb_1 = require("mongodb");
const enum_1 = require("../../enum");
const base_model_1 = __importDefault(require("../base.model"));
const utils_1 = require("../../utils");
class ItemTracking extends base_model_1.default {
    constructor(db) {
        super(db, enum_1.Collections.ItemTracking);
    }
    make(info) {
        return {
            item_id: new mongodb_1.ObjectId(info.item_id),
            variant_id: info.variant_id ? new mongodb_1.ObjectId(info.variant_id) : null,
            warehouse_id: new mongodb_1.ObjectId(info.warehouse_id),
            unit_id: new mongodb_1.ObjectId(info.unit_id),
            unit_name: info.unit_name,
            unit_factor: info.unit_factor,
            quantity: info.quantity,
            lot_no: info.lot_no || null,
            serial_no: info.serial_no || null,
            expiration_date: info.expiration_date ? (0, utils_1.utcDateOnly)(info.expiration_date) : null,
        };
    }
}
exports.default = ItemTracking;
//# sourceMappingURL=item.tracking.model.js.map