"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const enum_1 = require("../../enum");
const base_model_1 = __importDefault(require("../base.model"));
class ItemVariant extends base_model_1.default {
    constructor(db) {
        super(db, enum_1.Collections.ItemVariant);
    }
    make(info) {
        return {
            source_app_id: info.source_app_id,
            name: info.name,
            description: info.description || null,
            first_attribute: info.first_attribute,
            second_attribute: info.second_attribute || null,
            third_attribute: info.third_attribute || null,
            branches: info.branches,
            image: info.image || null,
            has_transaction: false,
            is_active: info.is_active,
            created_at: new Date(),
            created_by: info.created_by,
            updated_at: null,
            updated_by: null,
        };
    }
}
exports.default = ItemVariant;
//# sourceMappingURL=item.variant.model.js.map