import { Db } from 'mongodb';
import Model from '../base.model';
import { IItemWarehouseTrackingDocument, IItemWarehouseTrackingUpdateDocument, IItemWarehouseTrackingFilter, IItemWarehouseTrackingProjection, IItemWarehouseTrackingResult, IItemWarehouseTrackingSort, IItemWarehouseTrackingInfo } from '../../interfaces';
export default class ItemWarehouseTracking extends Model<IItemWarehouseTrackingDocument, IItemWarehouseTrackingUpdateDocument, IItemWarehouseTrackingFilter, IItemWarehouseTrackingProjection, IItemWarehouseTrackingResult, IItemWarehouseTrackingSort> {
    constructor(db: Db);
    make(info: IItemWarehouseTrackingInfo): IItemWarehouseTrackingDocument;
    committedStock(itemWarehouseTracking: IItemWarehouseTrackingResult): number;
    stockAvailableForSale(itemWarehouseTracking: IItemWarehouseTrackingResult): number;
}
