import { Db } from 'mongodb';
import { TransferStatus, TransferStatusCode } from '../../enum';
import { ITransferOrderHeaderDocument, ITransferOrderHeaderFilter, ITransferOrderHeaderInfo, ITransferOrderHeaderProjection, ITransferOrderHeaderResult, ITransferOrderHeaderSort, ITransferOrderHeaderUpdateDocument } from '../../interfaces';
import Model from '../base.model';
export default class TransferOrderHeader extends Model<ITransferOrderHeaderDocument, ITransferOrderHeaderUpdateDocument, ITransferOrderHeaderFilter, ITransferOrderHeaderProjection, ITransferOrderHeaderResult, ITransferOrderHeaderSort> {
    constructor(db: Db);
    make(info: ITransferOrderHeaderInfo): ITransferOrderHeaderDocument;
    makeUpdate(info: ITransferOrderHeaderInfo): ITransferOrderHeaderUpdateDocument;
    status(statusCode: TransferStatusCode): TransferStatus;
}
