"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const mongodb_1 = require("mongodb");
const enum_1 = require("../../enum");
const utils_1 = require("../../utils");
const base_model_1 = __importDefault(require("../base.model"));
class TransferOrderLine extends base_model_1.default {
    constructor(db) {
        super(db, enum_1.Collections.TransferOrderLine);
    }
    make(info) {
        return {
            document_no: info.document_no,
            document_date: (0, utils_1.utcDateOnly)(info.document_date),
            app_id: info.app_id,
            branch_id: new mongodb_1.ObjectId(info.branch_id),
            warehouse_ids: info.warehouse_ids,
            from_warehouse_id: new mongodb_1.ObjectId(info.from_warehouse_id),
            in_transit_warehouse_id: new mongodb_1.ObjectId(info.in_transit_warehouse_id),
            to_warehouse_id: new mongodb_1.ObjectId(info.to_warehouse_id),
            item_type_code: info.item_type_code,
            item_id: new mongodb_1.ObjectId(info.item_id),
            item_sku: info.item_sku,
            variant_id: info.variant_id ? new mongodb_1.ObjectId(info.variant_id) : null,
            category_id: new mongodb_1.ObjectId(info.unit_id),
            unit_id: new mongodb_1.ObjectId(info.unit_id),
            unit_name: info.unit_name,
            unit_factor: info.unit_factor,
            base_unit_id: new mongodb_1.ObjectId(info.base_unit_id),
            base_unit_name: info.base_unit_name,
            base_unit_factor: info.base_unit_factor,
            quantity: info.quantity,
            base_quantity: info.base_quantity,
            cost_price: info.cost_price,
            base_cost_price: info.base_cost_price,
            amount: info.amount,
            notes: info.notes || null,
            created_at: new Date(),
            created_by: info.created_by,
            updated_at: null,
            updated_by: null,
        };
    }
}
exports.default = TransferOrderLine;
//# sourceMappingURL=transfer.order.line.model.js.map