"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const mongodb_1 = require("mongodb");
const enum_1 = require("../../enum");
const utils_1 = require("../../utils");
const base_model_1 = __importDefault(require("../base.model"));
class TransferShipmentHeader extends base_model_1.default {
    constructor(db) {
        super(db, enum_1.Collections.TransferShipmentHeader);
    }
    make(info) {
        return {
            document_no: info.document_no,
            document_date: (0, utils_1.utcDateOnly)(info.document_date),
            order_id: info.order_id,
            order_no: info.order_no,
            order_date: info.order_date,
            app_id: info.app_id,
            branch_id: new mongodb_1.ObjectId(info.branch_id),
            from_warehouse_id: new mongodb_1.ObjectId(info.from_warehouse_id),
            in_transit_warehouse_id: new mongodb_1.ObjectId(info.in_transit_warehouse_id),
            to_warehouse_id: new mongodb_1.ObjectId(info.to_warehouse_id),
            external_document_no: info.external_document_no || null,
            total_amount: info.total_amount,
            notes: info.notes || null,
            created_at: new Date(),
            created_by: info.created_by,
            updated_at: null,
            updated_by: null,
        };
    }
}
exports.default = TransferShipmentHeader;
//# sourceMappingURL=transfer.shipment.header.model.js.map