"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const enum_1 = require("../../enum");
const base_model_1 = __importDefault(require("../base.model"));
class Warehouse extends base_model_1.default {
    constructor(db) {
        super(db, enum_1.Collections.Warehouse);
    }
    make(info) {
        return {
            name: info.name,
            is_default: info.is_default,
            is_transit: info.is_transit,
            is_active: true,
            has_transaction: false,
            created_at: new Date(),
            created_by: info.created_by,
            updated_at: null,
            updated_by: null,
        };
    }
}
exports.default = Warehouse;
//# sourceMappingURL=warehouse.model.js.map