"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const mongodb_1 = require("mongodb");
const base_model_1 = __importDefault(require("../base.model"));
const enum_1 = require("../../enum");
const utils_1 = require("../../utils");
class LoyaltyLedgerEntry extends base_model_1.default {
    constructor(db) {
        super(db, enum_1.Collections.LoyaltyLedgerEntry);
    }
    make(info) {
        return {
            branch_id: new mongodb_1.ObjectId(info.branch_id),
            customer_id: new mongodb_1.ObjectId(info.customer_id),
            entry_type_code: info.entry_type_code,
            entry_date: (0, utils_1.utcDateOnly)(info.entry_date),
            document_no: info.document_no,
            document_type_code: info.document_type_code,
            exchange_rate: info.exchange_rate || 1,
            amount: info.amount || 0,
            voucher_code: info.voucher_code || null,
            created_at: new Date(),
            created_by: info.created_by,
            updated_at: null,
            updated_by: null,
        };
    }
    entryType(entryTypeCode) {
        switch (entryTypeCode) {
            case enum_1.LoyaltyEntryTypeCode.Point:
                return enum_1.LoyaltyEntryType.Point;
            case enum_1.LoyaltyEntryTypeCode.Voucher:
                return enum_1.LoyaltyEntryType.Voucher;
            default:
                return enum_1.LoyaltyEntryType.Point;
        }
    }
}
exports.default = LoyaltyLedgerEntry;
//# sourceMappingURL=loyalty.ledger.entry.model.js.map