"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const mongodb_1 = require("mongodb");
const base_model_1 = __importDefault(require("../base.model"));
const enum_1 = require("../../enum");
const utils_1 = require("../../utils");
class LoyaltyMembership extends base_model_1.default {
    constructor(db) {
        super(db, enum_1.Collections.LoyaltyMembership);
    }
    make(info) {
        return {
            customer_id: new mongodb_1.ObjectId(info.customer_id),
            card_no: info.card_no,
            tier_id: new mongodb_1.ObjectId(info.tier_id),
            start_date: info.start_date ? (0, utils_1.utcDateOnly)(info.start_date) : null,
            expire_date: info.expire_date ? (0, utils_1.utcDateOnly)(info.expire_date) : null,
            status_code: info.status_code,
            created_at: new Date(),
            created_by: info.created_by,
            updated_at: null,
            updated_by: null,
        };
    }
    status(statusCode) {
        switch (statusCode) {
            case enum_1.LoyaltyMembershipStatusCode.Active:
                return enum_1.LoyaltyMembershipStatus.Active;
            case enum_1.LoyaltyMembershipStatusCode.Expired:
                return enum_1.LoyaltyMembershipStatus.Expired;
            case enum_1.LoyaltyMembershipStatusCode.Suspended:
                return enum_1.LoyaltyMembershipStatus.Suspended;
            default:
                return enum_1.LoyaltyMembershipStatus.Active;
        }
    }
}
exports.default = LoyaltyMembership;
//# sourceMappingURL=loyalty.membership.model.js.map