"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const mongodb_1 = require("mongodb");
const base_model_1 = __importDefault(require("../base.model"));
const enum_1 = require("../../enum");
const utils_1 = require("../../utils");
class LoyaltyPromotionItem extends base_model_1.default {
    constructor(db) {
        super(db, enum_1.Collections.LoyaltyPromotionItem);
    }
    make(info) {
        return {
            promotion_id: new mongodb_1.ObjectId(info.promotion_id),
            item_id: new mongodb_1.ObjectId(info.item_id),
            start_date: info.start_date ? (0, utils_1.utcDateOnly)(info.start_date) : null,
            end_date: info.end_date ? (0, utils_1.utcDateOnly)(info.end_date) : null,
            min_quantity: info.min_quantity,
            discount_percentage: info.discount_percentage,
            discount_amount: info.discount_amount,
        };
    }
}
exports.default = LoyaltyPromotionItem;
//# sourceMappingURL=loyalty.promotion.item.model.js.map