import { Db } from 'mongodb';
import Model from '../base.model';
import { LoyaltyApplyCustomer, LoyaltyApplyCustomerCode, LoyaltyApplyItem, LoyaltyApplyItemCode, LoyaltyPromotionFreeType, LoyaltyPromotionFreeTypeCode, LoyaltyPromotionStatus, LoyaltyPromotionStatusCode, LoyaltyPromotionType, LoyaltyPromotionTypeCode } from '../../enum';
import { ILoyaltyPromotionDocument, ILoyaltyPromotionResult, ILoyaltyPromotionFilter, ILoyaltyPromotionProjection, ILoyaltyPromotionSort, ILoyaltyPromotionUpdateDocument, ILoyaltyPromotionInfo } from '../../interfaces';
export default class LoyaltyPromotion extends Model<ILoyaltyPromotionDocument, ILoyaltyPromotionUpdateDocument, ILoyaltyPromotionFilter, ILoyaltyPromotionProjection, ILoyaltyPromotionResult, ILoyaltyPromotionSort> {
    constructor(db: Db);
    make(info: ILoyaltyPromotionInfo): ILoyaltyPromotionDocument;
    makeUpdate(info: Omit<ILoyaltyPromotionInfo, 'status_code' | 'created_at' | 'created_by'>): ILoyaltyPromotionUpdateDocument;
    promotionType(promotionTypeCode: LoyaltyPromotionTypeCode): LoyaltyPromotionType;
    status(statusCode: LoyaltyPromotionStatusCode): LoyaltyPromotionStatus;
    promotionApplyForCustomer(code: LoyaltyApplyCustomerCode): LoyaltyApplyCustomer;
    promotionApplyForItem(code: LoyaltyApplyItemCode): LoyaltyApplyItem;
    freeType(code: LoyaltyPromotionFreeTypeCode): LoyaltyPromotionFreeType;
}
