import { Db } from 'mongodb';
import Model from '../base.model';
import { LoyaltyRewardStatus, LoyaltyRewardStatusCode, LoyaltyRewardType, LoyaltyRewardTypeCode } from '../../enum';
import { ILoyaltyRewardDocument, ILoyaltyRewardResult, ILoyaltyRewardFilter, ILoyaltyRewardProjection, ILoyaltyRewardSort, ILoyaltyRewardUpdateDocument, ILoyaltyRewardInfo } from '../../interfaces';
export default class LoyaltyReward extends Model<ILoyaltyRewardDocument, ILoyaltyRewardUpdateDocument, ILoyaltyRewardFilter, ILoyaltyRewardProjection, ILoyaltyRewardResult, ILoyaltyRewardSort> {
    constructor(db: Db);
    make(info: ILoyaltyRewardInfo): ILoyaltyRewardDocument;
    rewardType(rewardTypeCode: LoyaltyRewardTypeCode): LoyaltyRewardType;
    status(statusCode: LoyaltyRewardStatusCode): LoyaltyRewardStatus;
}
