"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const base_model_1 = __importDefault(require("../base.model"));
const enum_1 = require("../../enum");
class LoyaltyTier extends base_model_1.default {
    constructor(db) {
        super(db, enum_1.Collections.LoyaltyTier);
    }
    make(info) {
        return {
            name: info.name,
            thread_hold: info.thread_hold,
            discount_percentage: info.discount_percentage || 0,
            discount_amount: info.discount_amount || 0,
            is_free_shipping: info.is_free_shipping,
            has_transaction: false,
            created_at: new Date(),
            created_by: info.created_by,
            updated_at: null,
            updated_by: null,
        };
    }
}
exports.default = LoyaltyTier;
//# sourceMappingURL=loyalty.tiers.model.js.map