import { Db } from 'mongodb';
import Model from '../base.model';
import { LoyaltyApplyCustomer, LoyaltyApplyCustomerCode, LoyaltyApplyItem, LoyaltyApplyItemCode, LoyaltyVoucherLimitType, LoyaltyVoucherLimitTypeCode, LoyaltyVoucherStatus, LoyaltyVoucherStatusCode } from '../../enum';
import { ILoyaltyVoucherDocument, ILoyaltyVoucherResult, ILoyaltyVoucherFilter, ILoyaltyVoucherProjection, ILoyaltyVoucherSort, ILoyaltyVoucherUpdateDocument, ILoyaltyVoucherInfo } from '../../interfaces';
export default class LoyaltyVoucher extends Model<ILoyaltyVoucherDocument, ILoyaltyVoucherUpdateDocument, ILoyaltyVoucherFilter, ILoyaltyVoucherProjection, ILoyaltyVoucherResult, ILoyaltyVoucherSort> {
    constructor(db: Db);
    make(info: ILoyaltyVoucherInfo): ILoyaltyVoucherDocument;
    makeUpdate(info: ILoyaltyVoucherInfo): ILoyaltyVoucherUpdateDocument;
    voucherStatus(statusCode: LoyaltyVoucherStatusCode): LoyaltyVoucherStatus;
    voucherLimitType(typeCode: LoyaltyVoucherLimitTypeCode): LoyaltyVoucherLimitType;
    voucherApplyForCustomer(code: LoyaltyApplyCustomerCode): LoyaltyApplyCustomer;
    voucherApplyForItem(code: LoyaltyApplyItemCode): LoyaltyApplyItem;
}
