import { Db, ObjectId } from 'mongodb';
import Model from '../base.model';
import { MediaShareType, MediaShareTypeCode, MediaType, MediaTypeCode } from '../../enum';
import { IMediaDocument, IMediaResult, IMediaFilter, IMediaProjection, IMediaSort, IMediaUpdateDocument, IMediaInfo } from '../../interfaces';
export default class Media extends Model<IMediaDocument, IMediaUpdateDocument, IMediaFilter, IMediaProjection, IMediaResult, IMediaSort> {
    constructor(db: Db);
    make(info: IMediaInfo): IMediaDocument;
    type(code: MediaTypeCode): MediaType;
    shareType(code: MediaShareTypeCode): MediaShareType;
    list(ids: ObjectId[], baseURL: string, projection: IMediaProjection): Promise<IMediaResult[]>;
}
