import { Db } from 'mongodb';
import { NotificationType, NotificationTypeCode, Status, StatusCode, TelegramType, TelegramTypeCode } from '../../enum';
import Model from '../base.model';
import { INotificationAppConfigDocument, INotificationAppConfigUpdateDocument, INotificationAppConfigFilter, INotificationAppConfigProjection, INotificationAppConfigResult, INotificationAppConfigSort, INotificationAppConfigInfo } from '../../interfaces';
export default class NotificationAppConfig extends Model<INotificationAppConfigDocument, INotificationAppConfigUpdateDocument, INotificationAppConfigFilter, INotificationAppConfigProjection, INotificationAppConfigResult, INotificationAppConfigSort> {
    constructor(db: Db);
    make(info: INotificationAppConfigInfo): INotificationAppConfigDocument;
    type(code: NotificationTypeCode): NotificationType;
    status(code: StatusCode): Status;
    telegramType(code: TelegramTypeCode): TelegramType;
}
