"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const enum_1 = require("../../enum");
const base_model_1 = __importDefault(require("../base.model"));
class NotificationAppConfig extends base_model_1.default {
    constructor(db) {
        super(db, enum_1.Collections.NotificationAppConfig);
    }
    make(info) {
        return {
            app_id: info.app_id,
            type_code: info.type_code,
            config: info.config,
            status_code: info.status_code,
            created_by: info.created_by,
            created_at: new Date(),
            updated_by: info.updated_by,
            updated_at: null,
        };
    }
    type(code) {
        switch (code) {
            case enum_1.NotificationTypeCode.Notification:
                return enum_1.NotificationType.Notification;
            case enum_1.NotificationTypeCode.Telegram:
                return enum_1.NotificationType.Telegram;
            case enum_1.NotificationTypeCode.Mail:
                return enum_1.NotificationType.Mail;
            default:
                return enum_1.NotificationType.Notification;
        }
    }
    status(code) {
        switch (code) {
            case enum_1.StatusCode.Enabled:
                return enum_1.Status.Enabled;
            case enum_1.StatusCode.Disabled:
                return enum_1.Status.Disabled;
            default:
                return enum_1.Status.Enabled;
        }
    }
    telegramType(code) {
        switch (code) {
            case enum_1.TelegramTypeCode.Group:
                return enum_1.TelegramType.Group;
            case enum_1.TelegramTypeCode.Channel:
                return enum_1.TelegramType.Channel;
            default:
                return enum_1.TelegramType.Group;
        }
    }
}
exports.default = NotificationAppConfig;
//# sourceMappingURL=notification.app.config.model.js.map