"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const enum_1 = require("../../enum");
const base_model_1 = __importDefault(require("../base.model"));
class NotificationMessage extends base_model_1.default {
    constructor(db) {
        super(db, enum_1.Collections.NotificationMessage);
    }
    make(info) {
        return {
            app_id: info.app_id,
            branch_id: info.branch_id,
            type_code: info.type_code,
            message: info.message,
            created_by: info.created_by,
            created_at: new Date(),
            updated_by: info.updated_by,
            updated_at: null,
        };
    }
    type(code) {
        switch (code) {
            case enum_1.NotificationTypeCode.Notification:
                return enum_1.NotificationType.Notification;
            case enum_1.NotificationTypeCode.Telegram:
                return enum_1.NotificationType.Telegram;
            case enum_1.NotificationTypeCode.Mail:
                return enum_1.NotificationType.Mail;
            default:
                return enum_1.NotificationType.Notification;
        }
    }
}
exports.default = NotificationMessage;
//# sourceMappingURL=notification.message.model.js.map