"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const mongodb_1 = require("mongodb");
const enum_1 = require("../../enum");
const base_model_1 = __importDefault(require("../base.model"));
const utils_1 = require("../../utils");
class NotificationQueue extends base_model_1.default {
    constructor(db) {
        super(db, enum_1.Collections.NotificationQueue);
    }
    make(info) {
        return {
            app_id: info.app_id,
            company_id: new mongodb_1.ObjectId(info.company_id),
            branch_id: new mongodb_1.ObjectId(info.branch_id),
            document_id: new mongodb_1.ObjectId(info.document_id),
            type_code: info.type_code,
            info: info.info || null,
            status_code: info.status_code,
            created_by: info.created_by,
            created_at: new Date(),
            updated_by: info.updated_by,
            updated_at: null,
        };
    }
    status(code) {
        return (0, utils_1.taskQueueStatus)(code);
    }
}
exports.default = NotificationQueue;
//# sourceMappingURL=notification.queue.model.js.map