"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const enum_1 = require("../../enum");
const base_model_1 = __importDefault(require("../base.model"));
class SubscriberNotification extends base_model_1.default {
    constructor(db) {
        super(db, enum_1.Collections.SubscriberNotification);
    }
    make(info) {
        return {
            app_id: info.app_id,
            user_id: info.user_id,
            token: info.token,
            platform: info.platform,
            status_code: info.status_code,
            created_by: info.created_by,
            created_at: new Date(),
            updated_by: info.updated_by,
            updated_at: null,
        };
    }
    status(code) {
        switch (code) {
            case enum_1.StatusCode.Enabled:
                return enum_1.Status.Enabled;
            case enum_1.StatusCode.Disabled:
                return enum_1.Status.Disabled;
            default:
                return enum_1.Status.Enabled;
        }
    }
}
exports.default = SubscriberNotification;
//# sourceMappingURL=subscriber.notification.model.js.map