"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const mongodb_1 = require("mongodb");
const enum_1 = require("../../enum");
const base_model_1 = __importDefault(require("../base.model"));
class UserNotification extends base_model_1.default {
    constructor(db) {
        super(db, enum_1.Collections.UserNotification);
    }
    make(info) {
        return {
            user_id: new mongodb_1.ObjectId(info.user_id),
            app_id: info.app_id,
            branch_id: new mongodb_1.ObjectId(info.branch_id),
            notification_message_id: info.notification_message_id,
            seen: info.seen === true ? true : false,
            created_by: info.created_by,
            created_at: new Date(),
            updated_by: info.updated_by,
            updated_at: null,
        };
    }
}
exports.default = UserNotification;
//# sourceMappingURL=user.notification.model.js.map