"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const mongodb_1 = require("mongodb");
const enum_1 = require("../../enum");
const base_model_1 = __importDefault(require("../base.model"));
class AppDevice extends base_model_1.default {
    constructor(db) {
        super(db, enum_1.Collections.AppDevice);
    }
    make(info) {
        return {
            app_id: info.app_id,
            company_id: new mongodb_1.ObjectId(info.company_id),
            branch_id: new mongodb_1.ObjectId(info.branch_id),
            code: info.code,
            created_at: new Date(),
            created_by: info.created_by,
            updated_at: null,
            updated_by: null,
        };
    }
}
exports.default = AppDevice;
//# sourceMappingURL=app.device.model.js.map