import { Db } from 'mongodb';
import { DeviceStatus, DeviceStatusCode } from '../../enum';
import Model from '../base.model';
import { IDeviceDocument, IDeviceUpdateDocument, IDeviceFilter, IDeviceProjection, IDeviceResult, IDeviceSort, IDeviceInfo } from '../../interfaces';
export default class Device extends Model<IDeviceDocument, IDeviceUpdateDocument, IDeviceFilter, IDeviceProjection, IDeviceResult, IDeviceSort> {
    constructor(db: Db);
    make(info: IDeviceInfo): IDeviceDocument;
    status(code: DeviceStatusCode): DeviceStatus;
}
