"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const mongodb_1 = require("mongodb");
const enum_1 = require("../../enum");
const base_model_1 = __importDefault(require("../base.model"));
class Device extends base_model_1.default {
    constructor(db) {
        super(db, enum_1.Collections.Device);
    }
    make(info) {
        return {
            app_id: info.app_id,
            branch_id: new mongodb_1.ObjectId(info.branch_id),
            code: info.code,
            name: info.name,
            setting: info.setting,
            status_code: info.status_code,
            created_at: new Date(),
            created_by: info.created_by,
            updated_at: null,
            updated_by: null,
        };
    }
    status(code) {
        switch (code) {
            case enum_1.DeviceStatusCode.Active:
                return enum_1.DeviceStatus.Active;
            default:
                return enum_1.DeviceStatus.Suspended;
        }
    }
}
exports.default = Device;
//# sourceMappingURL=device.model.js.map