"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const mongodb_1 = require("mongodb");
const enum_1 = require("../../enum");
const base_model_1 = __importDefault(require("../base.model"));
class FloorPlan extends base_model_1.default {
    constructor(db) {
        super(db, enum_1.Collections.FloorPlan);
    }
    make(info) {
        return {
            app_id: info.app_id,
            branch_id: new mongodb_1.ObjectId(info.branch_id),
            name: info.name,
            media_id: info.media_id ? new mongodb_1.ObjectId(info.media_id) : null,
            has_transaction: false,
            status_code: info.status_code,
            created_at: new Date(),
            created_by: info.created_by,
            updated_at: null,
            updated_by: null,
        };
    }
    status(code) {
        switch (code) {
            case enum_1.FloorPlanStatusCode.Inactive:
                return enum_1.FloorPlanStatus.Inactive;
            case enum_1.FloorPlanStatusCode.Available:
                return enum_1.FloorPlanStatus.Available;
            default:
                return enum_1.FloorPlanStatus.Reserved;
        }
    }
}
exports.default = FloorPlan;
//# sourceMappingURL=floor.plan.model.js.map