"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const mongodb_1 = require("mongodb");
const enum_1 = require("../../enum");
const base_model_1 = __importDefault(require("../base.model"));
class POSShift extends base_model_1.default {
    constructor(db) {
        super(db, enum_1.Collections.POSShift);
    }
    make(info) {
        return {
            app_id: info.app_id,
            branch_id: new mongodb_1.ObjectId(info.branch_id),
            code: info.code,
            sales_channel_code: info.sales_channel_code,
            opening_amount: info.opening_amount,
            closed_amount: 0,
            total_discount_amount: 0,
            total_sales_amount: 0,
            total_refund_amount: 0,
            cash_logs: [],
            started_at: info.started_at,
            closed_at: null,
            status_code: enum_1.POSShiftStatusCode.Open,
            created_at: new Date(),
            created_by: info.created_by,
            updated_at: null,
            updated_by: null,
        };
    }
    status(code) {
        switch (code) {
            case enum_1.POSShiftStatusCode.Open:
                return enum_1.POSShiftStatus.Open;
            default:
                return enum_1.POSShiftStatus.Closed;
        }
    }
}
exports.default = POSShift;
//# sourceMappingURL=pos.shift.model.js.map