"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const mongodb_1 = require("mongodb");
const enum_1 = require("../../enum");
const base_model_1 = __importDefault(require("../base.model"));
class POSUser extends base_model_1.default {
    constructor(db) {
        super(db, enum_1.Collections.POSUser);
    }
    make(info) {
        return {
            app_id: info.app_id,
            access_branches: info.access_branches,
            user_id: new mongodb_1.ObjectId(info.user_id),
            role_id: new mongodb_1.ObjectId(info.role_id),
            type_code: info.type_code,
            pin_code: info.pin_code,
            status_code: info.status_code,
            created_at: new Date(),
            created_by: info.created_by,
            updated_at: null,
            updated_by: null,
        };
    }
    status(code) {
        switch (code) {
            case enum_1.POSUserStatusCode.Inactive:
                return enum_1.POSUserStatus.Inactive;
            case enum_1.POSUserStatusCode.Active:
                return enum_1.POSUserStatus.Active;
            default:
                return enum_1.POSUserStatus.Suspended;
        }
    }
}
exports.default = POSUser;
//# sourceMappingURL=pos.user.model.js.map