import { Db } from 'mongodb';
import { ReservationStatus, ReservationStatusCode } from '../../enum';
import Model from '../base.model';
import { IReservationDocument, IReservationUpdateDocument, IReservationFilter, IReservationProjection, IReservationResult, IReservationSort, IReservationInfo } from '../../interfaces';
export default class Reservation extends Model<IReservationDocument, IReservationUpdateDocument, IReservationFilter, IReservationProjection, IReservationResult, IReservationSort> {
    constructor(db: Db);
    make(info: IReservationInfo): IReservationDocument;
    status(code: ReservationStatusCode): ReservationStatus;
}
