"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const mongodb_1 = require("mongodb");
const enum_1 = require("../../enum");
const base_model_1 = __importDefault(require("../base.model"));
class Table extends base_model_1.default {
    constructor(db) {
        super(db, enum_1.Collections.Table);
    }
    make(info) {
        return {
            app_id: info.app_id,
            branch_id: new mongodb_1.ObjectId(info.branch_id),
            floor_plan_id: new mongodb_1.ObjectId(info.floor_plan_id),
            name: info.name,
            seats: info.seats || 0,
            has_transaction: false,
            status_code: info.status_code,
            created_at: new Date(),
            created_by: info.created_by,
            updated_at: null,
            updated_by: null,
        };
    }
    status(code) {
        switch (code) {
            case enum_1.TableStatusCode.Available:
                return enum_1.TableStatusCode.Available;
            case enum_1.TableStatusCode.Reserved:
                return enum_1.TableStatusCode.Reserved;
            case enum_1.TableStatusCode.Occupied:
                return enum_1.TableStatusCode.Occupied;
            default:
                return enum_1.TableStatusCode.Inactive;
        }
    }
}
exports.default = Table;
//# sourceMappingURL=table.model.js.map