import { Db } from 'mongodb';
import { PurchaseDocumentType, PurchaseDocumentTypeCode } from '../../enum';
import Model from '../base.model';
import { IPaymentDocument, IPaymentUpdateDocument, IPaymentFilter, IPaymentProjection, IPaymentResult, IPaymentSort, IPaymentInfo } from '../../interfaces';
export default class Payment extends Model<IPaymentDocument, IPaymentUpdateDocument, IPaymentFilter, IPaymentProjection, IPaymentResult, IPaymentSort, any, any> {
    constructor(db: Db);
    make(info: IPaymentInfo): IPaymentDocument;
    appliedPaymentSourceDocumentType(documentTypeCode: PurchaseDocumentTypeCode): PurchaseDocumentType;
}
