"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const enum_1 = require("../../enum");
const base_model_1 = __importDefault(require("../base.model"));
class PaymentTerm extends base_model_1.default {
    constructor(db) {
        super(db, enum_1.Collections.PaymentTerm);
    }
    make(info) {
        return {
            name: info.name,
            num_of_day: info.num_of_day,
            discount_percentage: info.discount_percentage || 0,
            has_transaction: false,
            is_active: info.is_active,
            created_at: new Date(),
            created_by: info.created_by,
            updated_at: null,
            updated_by: null,
        };
    }
}
exports.default = PaymentTerm;
//# sourceMappingURL=payment.term.model.js.map