import { Db } from 'mongodb';
import Model from '../base.model';
import { IPurchaseOrderHeaderDocument, IPurchaseOrderHeaderFilter, IPurchaseOrderHeaderResult, IPurchaseOrderHeaderSort, IPurchaseOrderHeaderUpdateDocument, IPurchaseOrderHeaderProjection, IPurchaseOrderHeaderInfo } from '../../interfaces';
import { PurchaseDocumentStatus, PurchaseDocumentStatusCode } from '../../enum';
export default class PurchaseOrderHeader extends Model<IPurchaseOrderHeaderDocument, IPurchaseOrderHeaderUpdateDocument, IPurchaseOrderHeaderFilter, IPurchaseOrderHeaderProjection, IPurchaseOrderHeaderResult, IPurchaseOrderHeaderSort> {
    constructor(db: Db);
    make(info: IPurchaseOrderHeaderInfo): IPurchaseOrderHeaderDocument;
    makeUpdate(info: IPurchaseOrderHeaderInfo): IPurchaseOrderHeaderUpdateDocument;
    status(statusCode: PurchaseDocumentStatusCode): PurchaseDocumentStatus;
}
