import { Db } from 'mongodb';
import Model from '../base.model';
import { IPurchaseQuoteHeaderDocument, IPurchaseQuoteHeaderFilter, IPurchaseQuoteHeaderResult, IPurchaseQuoteHeaderSort, IPurchaseQuoteHeaderUpdateDocument, IPurchaseQuoteHeaderProjection, IPurchaseQuoteHeaderInfo } from '../../interfaces/purchase/purchase.quote.interface';
import { PurchaseDocumentStatus, PurchaseDocumentStatusCode } from '../../enum';
export default class PurchaseQuoteHeader extends Model<IPurchaseQuoteHeaderDocument, IPurchaseQuoteHeaderUpdateDocument, IPurchaseQuoteHeaderFilter, IPurchaseQuoteHeaderProjection, IPurchaseQuoteHeaderResult, IPurchaseQuoteHeaderSort> {
    constructor(db: Db);
    make(info: IPurchaseQuoteHeaderInfo): IPurchaseQuoteHeaderDocument;
    makeUpdate(info: IPurchaseQuoteHeaderInfo): IPurchaseQuoteHeaderUpdateDocument;
    status(statusCode: PurchaseDocumentStatusCode): PurchaseDocumentStatus;
}
