"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const mongodb_1 = require("mongodb");
const enum_1 = require("../../enum");
const base_model_1 = __importDefault(require("../base.model"));
const utils_1 = require("../../utils");
class VendorLedgerEntry extends base_model_1.default {
    constructor(db) {
        super(db, enum_1.Collections.VendorLedgerEntry);
    }
    make(info) {
        return {
            app_id: info.app_id,
            branch_id: new mongodb_1.ObjectId(info.branch_id),
            vendor_id: new mongodb_1.ObjectId(info.vendor_id),
            entry_date: (0, utils_1.utcDateOnly)(info.entry_date),
            posting_date: info.posting_date ? new Date(info.posting_date) : null,
            document_no: info.document_no,
            document_type_code: info.document_type_code,
            document_date: info.document_date,
            document_due_date: info.document_due_date || null,
            currency_code: info.currency_code,
            exchange_rate: info.exchange_rate,
            discount_amount: info.discount_amount,
            amount: info.amount,
            amount_due: info.amount_due,
            payment_amount: info.payment_amount,
            remaining_amount: info.remaining_amount,
            is_payment_deposit: info.is_payment_deposit,
            created_at: new Date(),
            created_by: info.created_by,
            updated_at: null,
            updated_by: null,
        };
    }
}
exports.default = VendorLedgerEntry;
//# sourceMappingURL=vendor.ledger.entry.model.js.map