import { Db } from 'mongodb';
import { SalesDocumentType, SalesDocumentTypeCode } from '../../enum';
import Model from '../base.model';
import { ICashReceiptDocument, ICashReceiptUpdateDocument, ICashReceiptFilter, ICashReceiptProjection, ICashReceiptResult, ICashReceiptSort, ICashReceiptInfo } from '../../interfaces';
export default class CashReceipt extends Model<ICashReceiptDocument, ICashReceiptUpdateDocument, ICashReceiptFilter, ICashReceiptProjection, ICashReceiptResult, ICashReceiptSort, any, any> {
    constructor(db: Db);
    make(info: ICashReceiptInfo): ICashReceiptDocument;
    appliedCashReceiptDocumentType(documentTypeCode: SalesDocumentTypeCode): SalesDocumentType;
}
