"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const mongodb_1 = require("mongodb");
const enum_1 = require("../../enum");
const base_model_1 = __importDefault(require("../base.model"));
class SalesItemTrackingTransient extends base_model_1.default {
    constructor(db) {
        super(db, enum_1.Collections.SalesItemTrackingTransient);
    }
    make(info) {
        return {
            company_id: new mongodb_1.ObjectId(info.company_id),
            branch_id: new mongodb_1.ObjectId(info.branch_id),
            document_type: info.document_type,
            document_id: info.document_id,
            document_no: info.document_no,
            line_documents: info.line_documents,
            info: info.info,
        };
    }
}
exports.default = SalesItemTrackingTransient;
//# sourceMappingURL=sales.item.tracking.transient.model.js.map