"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const mongodb_1 = require("mongodb");
const enum_1 = require("../../enum");
const utils_1 = require("../../utils");
const base_model_1 = __importDefault(require("../base.model"));
class SalesLinePrice extends base_model_1.default {
    constructor(db) {
        super(db, enum_1.Collections.SalesLinePrice);
    }
    make(info) {
        return {
            item_type: info.item_type,
            item_id: info.item_id ? new mongodb_1.ObjectId(info.item_id) : null,
            item_sku: info.item_sku || null,
            item_barcode: info.item_barcode || null,
            unit_id: new mongodb_1.ObjectId(info.unit_id),
            unit_name: info.unit_name,
            unit_factor: info.unit_factor,
            sales_type: info.sales_type,
            customer_ids: info.customer_ids || [],
            customer_group_ids: info.customer_group_ids || [],
            min_quantity: info.min_quantity || 1,
            start_date: info.start_date ? (0, utils_1.utcDateOnly)(info.start_date) : null,
            end_date: info.start_date ? (0, utils_1.utcDateOnly)(info.end_date) : null,
            selling_price: info.selling_price,
            created_at: new Date(),
            created_by: info.created_by,
            updated_at: null,
            updated_by: null,
        };
    }
}
exports.default = SalesLinePrice;
//# sourceMappingURL=sales.line.price.model.js.map