"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const mongodb_1 = require("mongodb");
const enum_1 = require("../../enum");
const base_model_1 = __importDefault(require("../base.model"));
class Salesperson extends base_model_1.default {
    constructor(db) {
        super(db, enum_1.Collections.Salesperson);
    }
    make(info) {
        return {
            branch_id: new mongodb_1.ObjectId(info.branch_id),
            code: info.code,
            name: info.name,
            email: info.email || null,
            contact_no: info.contact_no || [],
            photo: info.photo || null,
            is_active: info.is_active,
            has_transaction: false,
            created_at: new Date(),
            created_by: info.created_by,
            updated_at: null,
            updated_by: null,
        };
    }
}
exports.default = Salesperson;
//# sourceMappingURL=salesperson.model.js.map