"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const mongodb_1 = require("mongodb");
const base_model_1 = __importDefault(require("../base.model"));
const enum_1 = require("../../enum");
const utils_1 = require("../../utils");
class SubscriptionAddon extends base_model_1.default {
    constructor(db) {
        super(db, enum_1.Collections.SubscriptionAddon);
    }
    make(info) {
        return {
            item_id: info.item_id,
            code: info.code,
            name: info.name,
            description: info.description || null,
            unit_id: new mongodb_1.ObjectId(info.unit_id),
            unit_name: info.unit_name,
            unit_factor: info.unit_factor,
            category_id: new mongodb_1.ObjectId(info.category_id),
            billing_cycle_code: info.billing_cycle_code,
            pricing_scheme_code: info.pricing_scheme_code,
            type: info.type || null,
            selling_price: info.selling_price,
            is_active: info.is_active,
            has_transaction: false,
            created_at: new Date(),
            created_by: info.created_by,
            updated_at: null,
            updated_by: null,
        };
    }
    billingCycle(code) {
        return (0, utils_1.billingCycle)(code);
    }
}
exports.default = SubscriptionAddon;
//# sourceMappingURL=subscription.addon.model.js.map