import { Db } from 'mongodb';
import Model from '../base.model';
import { SubscriptionEventSource, SubscriptionEventSourceCode, SubscriptionEventType, SubscriptionEventTypeCode } from '../../enum';
import { ISubscriptionEventDocument, ISubscriptionEventResult, ISubscriptionEventFilter, ISubscriptionEventProjection, ISubscriptionEventSort, ISubscriptionEventUpdateDocument, ISubscriptionEventInfo } from '../../interfaces';
export default class SubscriptionEvent extends Model<ISubscriptionEventDocument, ISubscriptionEventUpdateDocument, ISubscriptionEventFilter, ISubscriptionEventProjection, ISubscriptionEventResult, ISubscriptionEventSort> {
    constructor(db: Db);
    make(info: ISubscriptionEventInfo): ISubscriptionEventDocument;
    eventType(code: SubscriptionEventTypeCode): SubscriptionEventType;
    eventSource(code: SubscriptionEventSourceCode): SubscriptionEventSource;
}
