import { Db } from 'mongodb';
import Model from '../base.model';
import { BillingCycle, BillingCycleCode, SubscriptionStatus, SubscriptionStatusCode } from '../../enum';
import { ISubscriptionHeaderDocument, ISubscriptionHeaderResult, ISubscriptionHeaderFilter, ISubscriptionHeaderProjection, ISubscriptionHeaderSort, ISubscriptionHeaderUpdateDocument, ISubscriptionHeaderInfo } from '../../interfaces';
export default class SubscriptionHeader extends Model<ISubscriptionHeaderDocument, ISubscriptionHeaderUpdateDocument, ISubscriptionHeaderFilter, ISubscriptionHeaderProjection, ISubscriptionHeaderResult, ISubscriptionHeaderSort> {
    constructor(db: Db);
    make(info: ISubscriptionHeaderInfo): ISubscriptionHeaderDocument;
    status(code: SubscriptionStatusCode): SubscriptionStatus;
    billingCycle(code: BillingCycleCode): BillingCycle;
}
