import { Db } from 'mongodb';
import Model from '../base.model';
import { BillingCycle, BillingCycleCode, SubscriptionLineStatus, SubscriptionLineStatusCode } from '../../enum';
import { ISubscriptionLineDocument, ISubscriptionLineResult, ISubscriptionLineFilter, ISubscriptionLineProjection, ISubscriptionLineSort, ISubscriptionLineUpdateDocument, ISubscriptionLineInfo } from '../../interfaces';
export default class SubscriptionLine extends Model<ISubscriptionLineDocument, ISubscriptionLineUpdateDocument, ISubscriptionLineFilter, ISubscriptionLineProjection, ISubscriptionLineResult, ISubscriptionLineSort> {
    constructor(db: Db);
    make(info: ISubscriptionLineInfo): ISubscriptionLineDocument;
    status(code: SubscriptionLineStatusCode): SubscriptionLineStatus;
    billingCycle(code: BillingCycleCode): BillingCycle;
}
