"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const mongodb_1 = require("mongodb");
const base_model_1 = __importDefault(require("../base.model"));
const enum_1 = require("../../enum");
const utils_1 = require("../../utils");
class SubscriptionPricingPlan extends base_model_1.default {
    constructor(db) {
        super(db, enum_1.Collections.SubscriptionPricingPlan);
    }
    make(info) {
        return {
            item_id: info.item_id,
            product_id: info.product_id,
            code: info.code,
            name: info.name,
            description: info.description || null,
            unit_id: new mongodb_1.ObjectId(info.unit_id),
            unit_name: info.unit_name,
            unit_factor: info.unit_factor,
            selling_price: info.selling_price,
            billing_interval_code: info.billing_interval_code,
            billing_cycle_code: info.billing_cycle_code,
            trial_period: info.trial_period || 0,
            is_default: info.is_default,
            addons: info.addons || [],
            total_amount_addon: info.total_amount_addon,
            total_amount: info.total_amount,
            image: info.image || null,
            has_transaction: false,
            is_active: info.is_active,
            created_at: new Date(),
            created_by: info.created_by,
            updated_at: null,
            updated_by: null,
        };
    }
    billingCycle(code) {
        return (0, utils_1.billingCycle)(code);
    }
}
exports.default = SubscriptionPricingPlan;
//# sourceMappingURL=subscription.pricing.plan.model.js.map