"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const mongodb_1 = require("mongodb");
const base_model_1 = __importDefault(require("../base.model"));
const enum_1 = require("../../enum");
class SubscriptionProduct extends base_model_1.default {
    constructor(db) {
        super(db, enum_1.Collections.SubscriptionProduct);
    }
    make(info) {
        return {
            item_variant_id: info.item_variant_id ? new mongodb_1.ObjectId(info.item_variant_id) : null,
            code: info.code,
            name: info.name,
            description: info.description || null,
            category_id: new mongodb_1.ObjectId(info.category_id),
            type: info.type || null,
            notify_email: info.notify_email || null,
            grace_period: info.grace_period || 0,
            image: info.image || null,
            has_transaction: false,
            is_active: info.is_active,
            created_at: new Date(),
            created_by: info.created_by,
            updated_at: null,
            updated_by: null,
        };
    }
}
exports.default = SubscriptionProduct;
//# sourceMappingURL=subscription.product.model.js.map