"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const mongodb_1 = require("mongodb");
const enum_1 = require("../../enum");
const base_model_1 = __importDefault(require("../base.model"));
class ActivityLog extends base_model_1.default {
    constructor(db) {
        super(db, enum_1.Collections.User);
    }
    make(info) {
        return {
            source_id: new mongodb_1.ObjectId(info.source_id),
            source: info.source,
            user_id: new mongodb_1.ObjectId(info.user_id),
            username: info.username,
            comment: info.comment,
            description: info.description,
            action_type: info.action_type,
            created_at: new Date(),
        };
    }
}
exports.default = ActivityLog;
//# sourceMappingURL=activity.log.model.js.map