"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const mongodb_1 = require("mongodb");
const base_model_1 = __importDefault(require("../base.model"));
const enum_1 = require("../../enum");
const utils_1 = require("../../utils/utils");
class Company extends base_model_1.default {
    constructor(db) {
        super(db, enum_1.Collections.Branch);
    }
    make(info) {
        return {
            company_id: new mongodb_1.ObjectId(info.company_id),
            name: info.name,
            slug: info.slug || (0, utils_1.slug)(info.name, '_'),
            address: info.address,
            register_at: info.register_at,
            warehouse_id: new mongodb_1.ObjectId(info.warehouse_id),
            warehouse_name: info.warehouse_name,
            is_active: true,
            created_at: new Date(),
            created_by: info.created_by,
            updated_at: null,
            updated_by: null,
        };
    }
}
exports.default = Company;
//# sourceMappingURL=branch.model.js.map