import { Db } from 'mongodb';
import Model from '../base.model';
import { CompanyStatus, CompanyStatusCode } from '../../enum';
import { ICompanyResult, ICompanyFilter, ICompanyProjection, ICompanyInfo, ICompanySort, ICompanyDocument, ICompanyUpdateDocument } from '../../interfaces/user/company.interface';
export default class Company extends Model<ICompanyDocument, ICompanyUpdateDocument, ICompanyFilter, ICompanyProjection, ICompanyResult, ICompanySort> {
    constructor(db: Db);
    make(info: ICompanyInfo): ICompanyDocument;
    status(code: CompanyStatusCode): CompanyStatus;
}
