"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const base_model_1 = __importDefault(require("../base.model"));
const enum_1 = require("../../enum");
class CompanyTransaction extends base_model_1.default {
    constructor(db) {
        super(db, enum_1.Collections.CompanyTransaction);
    }
    make(info) {
        return {
            service_code: info.service_code,
            storages: info.storages,
            items: info.items,
            warehouses: info.warehouses,
            branches: info.branches,
            sales_orders: info.sales_orders,
            purchase_orders: info.purchase_orders,
            is_active: false,
            created_at: new Date(),
            updated_at: null,
        };
    }
}
exports.default = CompanyTransaction;
//# sourceMappingURL=company.transaction.model.js.map