"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const base_model_1 = __importDefault(require("../base.model"));
const enum_1 = require("../../enum");
class Preference extends base_model_1.default {
    constructor(db) {
        super(db, enum_1.Collections.Preference);
    }
    type(code) {
        switch (code) {
            case enum_1.PreferenceTypeCode.Inventory:
                return enum_1.PreferenceType.Inventory;
            case enum_1.PreferenceTypeCode.Sales:
                return enum_1.PreferenceType.Sales;
            case enum_1.PreferenceTypeCode.Purchase:
                return enum_1.PreferenceType.Purchase;
            case enum_1.PreferenceTypeCode.Loyalty:
                return enum_1.PreferenceType.Loyalty;
            case enum_1.PreferenceTypeCode.Billing:
                return enum_1.PreferenceType.Billing;
            default:
                break;
        }
    }
}
exports.default = Preference;
//# sourceMappingURL=preference.model.js.map