"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const base_model_1 = __importDefault(require("../base.model"));
const enum_1 = require("../../enum");
class Role extends base_model_1.default {
    constructor(db) {
        super(db, enum_1.Collections.Role);
    }
    make(info) {
        return {
            code: info.code,
            name: info.name,
            description: info.description || null,
            is_default: info.is_default,
            is_active: info.is_active,
            created_by: info.created_by,
            created_at: new Date(),
            updated_by: null,
            updated_at: null,
        };
    }
}
exports.default = Role;
//# sourceMappingURL=role.model.js.map