import { Db } from 'mongodb';
import { UserStatus, UserStatusCode } from '../../enum';
import { IUserResult, IUserFilter, IUserProjection, IUserSort, IUserInfo, IUserDocument, IUserUpdateDocument } from '../../interfaces';
import Model from '../base.model';
export default class User extends Model<IUserDocument, IUserUpdateDocument, IUserFilter, IUserProjection, IUserResult, IUserSort> {
    private _hash;
    constructor(db: Db);
    set hash(val: number);
    get hash(): number;
    make(info: IUserInfo): IUserDocument;
    status(code: UserStatusCode): UserStatus;
}
