"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const mongodb_1 = require("mongodb");
const base_model_1 = __importDefault(require("../base.model"));
const enum_1 = require("../../enum");
class UserRole extends base_model_1.default {
    constructor(db) {
        super(db, enum_1.Collections.UserRole);
    }
    make(info) {
        return {
            role_id: new mongodb_1.ObjectId(info.role_id),
            app_code: info.app_code,
            type_code: info.type_code,
            permission: info.permission,
            is_default: info.is_default,
            is_active: info.is_active,
            created_by: info.created_by,
            created_at: new Date(),
            updated_by: null,
            updated_at: null,
        };
    }
}
exports.default = UserRole;
//# sourceMappingURL=user.role.model.js.map