"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
class GetUseCase {
    constructor(db, model, projection, sortBy, limit) {
        this.skip = 0;
        this.db = db;
        this.model = model;
        this.projection = projection;
        this.sortBy = sortBy;
        this.limit = limit;
    }
    exec(context) {
        return __awaiter(this, void 0, void 0, function* () {
            const model = new this.model(this.db);
            const project = context.appliedProjection || this.projection;
            const sortBy = context.sortBy || this.sortBy;
            let documents = [];
            if (this.limit > 0) {
                documents = yield model.paginateDocument(context.appliedFilter, project, sortBy, this.skip, this.limit);
            }
            else {
                documents = yield model.findDocuments(context.appliedFilter, project, sortBy);
            }
            return {
                success: true,
                data: documents,
            };
        });
    }
}
exports.default = GetUseCase;
//# sourceMappingURL=get.base.usecase.js.map