"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const mongodb_1 = require("mongodb");
class GetById {
    constructor(db, model, projection = {}, filterWithBranch = true) {
        this.db = db;
        this.model = model;
        this.projection = projection;
        this.filterWithBranch = filterWithBranch;
    }
    exec(id, userInfo) {
        return __awaiter(this, void 0, void 0, function* () {
            const model = new this.model(this.db);
            let filter = { _id: new mongodb_1.ObjectId(id) };
            if (this.filterWithBranch) {
                filter = Object.assign(Object.assign({}, filter), { branch_id: new mongodb_1.ObjectId(userInfo.current_access_branch._id) });
            }
            const document = yield model.findOneDocument(filter, this.projection);
            if (!document) {
                return { notFound: true };
            }
            return {
                success: true,
                data: document,
            };
        });
    }
}
exports.default = GetById;
//# sourceMappingURL=get.by.id.base.usecase.js.map