import { Db, MongoClient } from 'mongodb';
import { IPageContext, IUserCached } from '../../interfaces';
import { Sort } from '../../enum';
import { IListUseCase, IListResponse } from '../../features';
export default class ListUseCase implements IListUseCase {
    private db;
    private model;
    private projection;
    private sortBy;
    private filterWithBranch;
    constructor(db: Db | MongoClient, model: any, projection?: {}, sortBy?: {
        _id: Sort;
    }, filterWithBranch?: boolean);
    exec(context: IPageContext, userInfo: IUserCached): Promise<IListResponse>;
}
