"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
class CreateSetupUseCase {
    constructor(db, model, countFilterFieldName = 'name') {
        this.db = db;
        this.model = model;
        this.countFilterFieldName = countFilterFieldName;
    }
    exec(setupInfo) {
        return __awaiter(this, void 0, void 0, function* () {
            const model = new this.model(this.db);
            let filter = {};
            if (this.countFilterFieldName === 'name') {
                filter[this.countFilterFieldName] = setupInfo[this.countFilterFieldName];
            }
            else {
                filter[this.countFilterFieldName] = setupInfo[this.countFilterFieldName];
            }
            const countDocument = yield model.countDocuments(filter);
            if (countDocument > 0) {
                return { exist: true };
            }
            const createDocument = model.make(setupInfo);
            const insertResult = yield model.insertOneDocument(createDocument);
            if (insertResult.status !== 1 || !insertResult.insertedId) {
                return {
                    failedToCreate: true,
                };
            }
            return {
                success: true,
                data: insertResult.document,
            };
        });
    }
}
exports.default = CreateSetupUseCase;
//# sourceMappingURL=create.setup.usecase.js.map