"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.convertDateToTime = exports.utcDateOnly = exports.subDate = exports.sumDate = exports.getFirstDayOfNextMonth = exports.getFirstDayOfCurrentMonth = exports.getFirstDayOfPreviousMonth = exports.getLastDayOfNextMonth = exports.getLastDayOfCurrentMonth = exports.getLastDayOfPreviousMonth = exports.getDate = void 0;
const dayjs_1 = __importDefault(require("dayjs"));
var Type;
(function (Type) {
    Type[Type["PreviousMonth"] = 0] = "PreviousMonth";
    Type[Type["CurrentMonth"] = 1] = "CurrentMonth";
    Type[Type["NextMonth"] = 2] = "NextMonth";
})(Type || (Type = {}));
var DateType;
(function (DateType) {
    DateType[DateType["FirstDay"] = 0] = "FirstDay";
    DateType[DateType["LastDay"] = 1] = "LastDay";
})(DateType || (DateType = {}));
function getDate(type, firstDay) {
    const currentDate = new Date();
    const date = new Date(currentDate.getFullYear(), currentDate.getMonth() + type, firstDay);
    return date.getDate();
}
exports.getDate = getDate;
function getLastDayOfPreviousMonth() {
    return getDate(Type.PreviousMonth, DateType.LastDay);
}
exports.getLastDayOfPreviousMonth = getLastDayOfPreviousMonth;
function getLastDayOfCurrentMonth() {
    return getDate(Type.CurrentMonth, DateType.LastDay);
}
exports.getLastDayOfCurrentMonth = getLastDayOfCurrentMonth;
function getLastDayOfNextMonth() {
    return getDate(Type.NextMonth, DateType.LastDay);
}
exports.getLastDayOfNextMonth = getLastDayOfNextMonth;
function getFirstDayOfPreviousMonth() {
    return getDate(Type.PreviousMonth, DateType.FirstDay);
}
exports.getFirstDayOfPreviousMonth = getFirstDayOfPreviousMonth;
function getFirstDayOfCurrentMonth() {
    return getDate(Type.CurrentMonth, DateType.FirstDay);
}
exports.getFirstDayOfCurrentMonth = getFirstDayOfCurrentMonth;
function getFirstDayOfNextMonth() {
    return getDate(Type.NextMonth, DateType.FirstDay);
}
exports.getFirstDayOfNextMonth = getFirstDayOfNextMonth;
function sumDate(date, value) {
    date.setDate(date.getDate() + value);
    return date;
}
exports.sumDate = sumDate;
function subDate(date, value) {
    date.setDate(date.getDate() - value);
    return date;
}
exports.subDate = subDate;
function utcDateOnly(value) {
    const dateFormatted = (0, dayjs_1.default)(value).format('YYYY-MM-DD');
    return new Date(`${dateFormatted}T12:00:00.000+00:00`);
}
exports.utcDateOnly = utcDateOnly;
function convertDateToTime(value) {
    return new Date(`${value} 00:00:00`).getTime();
}
exports.convertDateToTime = convertDateToTime;
//# sourceMappingURL=date.js.map