/// <reference types="node" />
import { CipherCCMTypes } from 'crypto';
import { ObjectId } from 'mongodb';
import { BillingCycle, BillingCycleCode, PermissionType, TaskQueueStatus, TaskQueueStatusCode } from '../enum';
import { IRolePermission, IRoleSetting, IRoleSubReport, IUserAccessBranch, IUserRoleResult } from '../interfaces';
export declare function slug(value: string, sign?: string): string;
export declare function hashPassword(password: string, hash?: number): string;
export declare function comparePassword(password: string, hash: string): boolean;
export declare function encrypt(val: string, algorithm: CipherCCMTypes): string;
export declare function decrypt(val: string, algorithm: CipherCCMTypes): string;
export declare function wordFirstLetterToUpperCase(str: string): string;
export declare function numberToFixed(val: number, fractionDigits: number): number;
export declare const arrayFromArrayObject: <T>(arrayObject: Array<any>, fieldToExtract: string, isObjectID?: boolean) => Array<T>;
export declare function arrayStringToArrayObjectId(value: Array<string>): Array<ObjectId>;
export declare function getPermission(option: {
    appId: string;
    userRole: IUserRoleResult;
    type: PermissionType;
    code: number;
    subCode?: number;
}): IRolePermission | IRoleSubReport | IRoleSetting | null;
export declare function numberFormatter(value: number, options: Intl.NumberFormatOptions, locales: string | undefined): string;
export declare function currencyFormatter(value: number, currencyCode: string, options: Intl.NumberFormatOptions, locales: string): string;
export declare function isObjectHasValue(obj: object): boolean;
export declare function taskQueueStatus(code: TaskQueueStatusCode): TaskQueueStatus;
export declare function billingCycle(code: BillingCycleCode): BillingCycle;
export declare const userAccessBranchIds: (userAccessBranches: IUserAccessBranch[]) => ObjectId[];
export declare const memoBuilder: (arrStr: string[], secret: string) => string;
